/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/AccountSettings.framework/AccountSettings
 */

@class NSArray, NSMutableDictionary, NSMutableArray;

@interface AccountsManager : NSObject  {
    NSMutableDictionary *_topLevelAccountsByID;
    NSMutableArray *_orderedTopLevelAccounts;
    NSMutableDictionary *_childAccountsByID;
    NSMutableDictionary *_childAccountIDToParentAccountID;
    NSMutableDictionary *_originalAccountsByID;
    unsigned int _dataVersion;
    NSArray *_runtimeFixers;
}

+ (unsigned int)currentVersion;
+ (id)createAndLockMigrationLock;
+ (void)shouldMigrateOldMailAccounts:(BOOL*)arg1 oldDAAccounts:(BOOL*)arg2 newAccountSettings:(BOOL*)arg3;
+ (void)killDataAccessIfNecessary;
+ (void)releaseMigrationLock:(id)arg1;
+ (void)_migrateAccountsIfNeeded;
+ (id)fullPathToAccountSettingsPlist;
+ (id)_notifierClassNamesForAccountType:(id)arg1 dataclass:(id)arg2;
+ (BOOL)_oldMailAccountsInformationFound;
+ (BOOL)_oldDAAccountsInformationFound;
+ (BOOL)accountSettingsNeedsToBeMigrated;
+ (void)removeNewAccountSettingsToMigrateOldAccountInformation;
+ (void)_setShouldSkipNotifications:(BOOL)arg1;
+ (void)accountDidChange:(id)arg1 forDataclass:(id)arg2;
+ (void)accountWillChange:(id)arg1 forDataclass:(id)arg2;
+ (id)displayNameForGroupOfAccountType:(id)arg1 forBeginningOfSentence:(BOOL)arg2;
+ (void)waitForMigrationToFinish;

- (id)fullDeviceLocalAccount;
- (id)accountWithIdentifier:(id)arg1;
- (void)deleteAccount:(id)arg1;
- (id)accountsWithTypes:(id)arg1 withLoader:(id)arg2;
- (void)replaceAccountsWithTypes:(id)arg1 withAccounts:(id)arg2;
- (void)saveAllAccounts;
- (void)removeChildWithIdentifier:(id)arg1 fromAccount:(id)arg2;
- (void)addChild:(id)arg1 toAccount:(id)arg2;
- (void)_loadChildrenFromAccount:(id)arg1;
- (id)initWithAccounsInfoArray:(id)arg1;
- (unsigned int)dataVersion;
- (void)setDataVersion:(unsigned int)arg1;
- (id)basicAccountsWithTypes:(id)arg1;
- (id)allMailAccounts;
- (void)insertAccount:(id)arg1;
- (void)deleteAccountWithIdentifier:(id)arg1;
- (void)replaceAccount:(id)arg1 withAccount:(id)arg2;
- (unsigned int)countOfBasicAccountsWithTypes:(id)arg1;
- (id)initInsideOfMigration;
- (void)_removeChildrenForAccountWithIdentifier:(id)arg1;
- (id)mergeInMemoryProperties:(id)arg1 originalProperties:(id)arg2 onDiskProperties:(id)arg3;
- (void)_sendNotificationsForChangedAccounts;
- (void)_setOriginalAccountDictionaries;
- (id)_createRuntimeFixers;
- (void)_addNotificationToDictionary:(id)arg1 forChangeType:(int)arg2 originalProperties:(id)arg3 currentProperties:(id)arg4;
- (id)_initWithAccountsInfo:(id)arg1;
- (id)syncableAccountWithSyncIdentifier:(id)arg1;
- (id)allBasicAccounts;
- (void)updateAccount:(id)arg1;
- (unsigned int)count;
- (id)init;
- (void)dealloc;
- (id)fullAccountWithIdentifier:(id)arg1 loader:(id)arg2;
- (id)accountsWithTypes:(id)arg1;
- (id)allBasicSyncableAccounts;
- (id)displayAccountWithSyncIdentifier:(id)arg1;
- (void)setLegacyAccounts:(id)arg1 withPasswords:(id)arg2;
- (id)legacyAccounts;
- (BOOL)hasActiveDAMMeAccounts;
- (BOOL)hasActiveIMAPNotesAccounts;
- (BOOL)hasActiveCalDAVChildAccounts;
- (BOOL)hasActiveCardDAVChildAccounts;
- (BOOL)hasActiveBookmarkDAVChildAccounts;

@end
