/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Celestial.framework/Celestial
 */

/* RuntimeBrowser encountered one or more ivar type encodings for a function pointer. 
   The runtime does not encode function signature information.  We use a signature of: 
           "int (*funcName)()",  where funcName might be null. 
 */

@class NSArray, NSString, AVCamera, NSDictionary, CALayer, NSURL;

@interface AVCapture : NSObject  {
    struct AVCapturePrivate { struct OpaqueFigRecorder {} *x1; } *_priv;
    AVCamera *_sourceCamera;
    NSString *_captureMode;
    NSString *_qualityPreset;
    BOOL _isCapturingPhoto;
    NSURL *_fileURLForRecording;
    BOOL _returnIOSurface;
}

@property(retain) NSString * orientation;
@property(copy) NSDictionary * metadata;
@property(retain) CALayer * videoPreviewLayer;
@property(retain) NSString * videoPreviewLayerOrientation;
@property(retain) NSString * videoPreviewLayerScalingMode;
@property BOOL audioMeteringEnabled;
@property(readonly) NSArray * audioLevel;
@property(readonly) BOOL isPreviewing;
@property BOOL suspendPreviewOnPhotoCapture;
@property BOOL chapterMarkersEnabled;
@property(readonly) BOOL isRecording;
@property(readonly) BOOL isPaused;
@property BOOL pauseRecordingOnInterruption;
@property unsigned int audioCaptureFormat;
@property BOOL locationMetadataTrackEnabled;
@property long long recordedFileSizeBytesLimit;
@property double recordedDurationLimit;
@property long long freeDiskSpaceLimit;
@property(readonly) long long recordedFileSizeBytes;
@property(readonly) double recordedDuration;
@property(readonly) int maxJPEGSize;
@property BOOL monitorSubjectArea;
@property BOOL dumpSensorInfo;
@property BOOL lockAutoWhiteBalance;
@property BOOL lockAutoExposure;
@property int noiseReductionMethod;
@property(readonly) int noiseReductionMethodCount;
@property(retain,readonly) NSString * noiseReductionMethodName;
@property BOOL mirrorPreview;
@property(retain) NSString * flashMode;
@property(retain) NSString * torchMode;
@property(retain) NSString * faceDetectionMode;
@property BOOL useFlashRedEyeReduction;
@property BOOL useFlashAFAssist;
@property(readonly) BOOL isTorchReady;
@property(readonly) BOOL isHighDynamicRangeAvailable;
@property float whiteBalance;
@property float autoExposureTarget;
@property float saturation;
@property float contrast;
@property(readonly) BOOL isCapturingPhoto;
@property(retain) NSURL * fileURLForRecording;
@property(retain) NSString * qualityPreset;
@property(retain) NSString * captureMode;
@property(retain) AVCamera * sourceCamera;

+ (id)availableModes;
+ (id)updateMetadataInFile:(id)arg1 withMetadata:(id)arg2;
+ (id)convertMoofToMoovInFile:(id)arg1;
+ (id)reasonMap;
+ (id)presetMap;
+ (id)avOrientationMap;
+ (id)scalingModeMap;
+ (id)focusModeMap;
+ (id)torchModeMap;
+ (id)flashModeMap;
+ (id)faceDetectionModeMap;

- (void)setMetadata:(id)arg1;
- (id)metadata;
- (id)audioLevel;
- (BOOL)stopRecording;
- (void)setOrientation:(id)arg1;
- (id)orientation;
- (BOOL)startRecording;
- (BOOL)isPaused;
- (void)setVideoPreviewLayer:(id)arg1;
- (id)videoPreviewLayer;
- (BOOL)isPreviewing;
- (BOOL)getRecorderBoolForKey:(id)arg1 withDefault:(BOOL)arg2;
- (BOOL)pauseRecording;
- (BOOL)resumeRecording;
- (double)recordedDuration;
- (void)audioInputDevicesDidChangeHandler:(id)arg1;
- (id)flashMode;
- (void)setFlashMode:(id)arg1;
- (id)torchMode;
- (void)setTorchMode:(id)arg1;
- (float)saturation;
- (void)setSaturation:(float)arg1;
- (float)contrast;
- (void)setContrast:(float)arg1;
- (BOOL)isRecording;
- (BOOL)startPreview;
- (BOOL)stopPreview;
- (id)init;
- (void)dealloc;
- (id)initWithCaptureMode:(id)arg1 qualityPreset:(id)arg2;
- (id)initLocal;
- (BOOL)dumpSensorInfo;
- (void)setDumpSensorInfo:(BOOL)arg1;
- (void)setCaptureMode:(id)arg1;
- (void)setQualityPreset:(id)arg1;
- (void)setObject:(id)arg1 forMetadataKey:(id)arg2;
- (id)objectForMetadataKey:(id)arg1;
- (id)videoPreviewLayerOrientation;
- (void)setVideoPreviewLayerOrientation:(id)arg1;
- (void)setVideoPreviewLayerScalingMode:(id)arg1;
- (id)videoPreviewLayerScalingMode;
- (BOOL)audioMeteringEnabled;
- (void)setAudioMeteringEnabled:(BOOL)arg1;
- (BOOL)suspendPreviewOnPhotoCapture;
- (void)setSuspendPreviewOnPhotoCapture:(BOOL)arg1;
- (BOOL)pausePreview;
- (BOOL)resumePreview;
- (BOOL)chapterMarkersEnabled;
- (void)setChapterMarkersEnabled:(BOOL)arg1;
- (BOOL)addChapterMarker:(id)arg1 atTime:(double)arg2;
- (BOOL)pauseRecordingOnInterruption;
- (void)setPauseRecordingOnInterruption:(BOOL)arg1;
- (unsigned int)audioCaptureFormat;
- (void)setAudioCaptureFormat:(unsigned int)arg1;
- (BOOL)locationMetadataTrackEnabled;
- (void)setLocationMetadataTrackEnabled:(BOOL)arg1;
- (BOOL)capturePhoto;
- (long long)recordedFileSizeBytesLimit;
- (void)setRecordedFileSizeBytesLimit:(long long)arg1;
- (double)recordedDurationLimit;
- (void)setRecordedDurationLimit:(double)arg1;
- (long long)freeDiskSpaceLimit;
- (void)setFreeDiskSpaceLimit:(long long)arg1;
- (long long)recordedFileSizeBytes;
- (int)maxJPEGSize;
- (BOOL)focusUsingMethod:(id)arg1 options:(id)arg2;
- (BOOL)monitorSubjectArea;
- (void)setMonitorSubjectArea:(BOOL)arg1;
- (BOOL)lockAutoExposure;
- (void)setLockAutoExposure:(BOOL)arg1;
- (float)autoExposureTarget;
- (void)setAutoExposureTarget:(float)arg1;
- (BOOL)lockAutoWhiteBalance;
- (void)setLockAutoWhiteBalance:(BOOL)arg1;
- (float)whiteBalance;
- (void)setWhiteBalance:(float)arg1;
- (int)noiseReductionMethod;
- (void)setNoiseReductionMethod:(int)arg1;
- (int)noiseReductionMethodCount;
- (BOOL)isTorchReady;
- (BOOL)isHighDynamicRangeAvailable;
- (id)noiseReductionMethodName;
- (BOOL)mirrorPreview;
- (void)setMirrorPreview:(BOOL)arg1;
- (id)faceDetectionMode;
- (void)setFaceDetectionMode:(id)arg1;
- (BOOL)useFlashAFAssist;
- (void)setUseFlashAFAssist:(BOOL)arg1;
- (BOOL)useFlashRedEyeReduction;
- (void)setUseFlashRedEyeReduction:(BOOL)arg1;
- (void)setFileURLForRecording:(id)arg1;
- (id)qualityPreset;
- (id)captureMode;
- (id)sourceCamera;
- (void)setSourceCamera:(id)arg1;
- (id)optionsForCaptureMode:(id)arg1 qualityPreset:(id)arg2;
- (id)initWithFigRecorderCreateFunction:(int (*)())arg1 captureMode:(id)arg2 qualityPreset:(id)arg3;
- (BOOL)setCaptureMode:(id)arg1 qualityPreset:(id)arg2;
- (id)fileURLForRecording;
- (id)captureFormatForCaptureMode:(id)arg1 qualityPreset:(id)arg2;
- (void)setIsCapturingPhoto:(BOOL)arg1;
- (BOOL)isCapturingPhoto;
- (BOOL)capturePhoto:(id)arg1;
- (void)photoTakenHandler:(id)arg1;
- (void)didStopRecordingHandler:(id)arg1;
- (void)didFailToStartRecordingHandler:(id)arg1;
- (void)didFinishFocusingHandler:(id)arg1;
- (void)didCancelFocusingHandler:(id)arg1;
- (void)didStartFocusingHandler:(id)arg1;
- (void)didCompleteOutputHandler:(id)arg1;

@end
