/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Conference.framework/Conference
 */

@class CNFAudioDeviceController, CNFDisplayController, UIWindow, CNFAudioPlayer, AVController, NSURL, NSObject<CNFCallViewControllerDelegate>;

@interface CNFCallViewController : UIViewController <UIApplicationDelegate, CNFDisplayControllerDelegate, CNFSoundPlayerDelegateProtocol, CNFAudioDeviceControllerProtocol> {
    NSObject<CNFCallViewControllerDelegate> *_delegate;
    CNFDisplayController *_displayController;
    AVController *_avController;
    CNFAudioDeviceController *_deviceController;
    BOOL _isOutgoingInvitation;
    BOOL _initialMuteState;
    BOOL _audioWasInterrupted;
    BOOL _faceTimeEndedWhileSoundPlaying;
    NSURL *_originationURL;
    CNFAudioPlayer *_player;
}

@property(retain) UIWindow * window;
@property(retain) NSURL * originationURL;
@property BOOL initialMuteState;
@property BOOL isOutgoingInvitation;
@property NSObject<CNFCallViewControllerDelegate> * delegate;
@property(retain,readonly) CNFAudioDeviceController * deviceController;
@property(retain) CNFDisplayController * displayController;


- (void)audioDeviceControllerAudioRoutesChanged:(id)arg1;
- (void)setDelegate:(id)arg1;
- (void)willAnimateRotationToInterfaceOrientation:(int)arg1 duration:(double)arg2;
- (void)viewDidDisappear:(BOOL)arg1;
- (void)viewWillDisappear:(BOOL)arg1;
- (void)viewDidAppear:(BOOL)arg1;
- (void)viewWillAppear:(BOOL)arg1;
- (void)loadView;
- (BOOL)automaticallyForwardAppearanceAndRotationMethodsToChildViewControllers;
- (id)delegate;
- (void)startPreview;
- (void)stopPreview;
- (void)dealloc;
- (id)initWithDelegate:(id)arg1;
- (void)setIsSendingVideo:(BOOL)arg1;
- (void)animateFromVoiceControlWithName:(id)arg1 andSubtitle:(id)arg2;
- (void)setIsOutgoingInvitation:(BOOL)arg1;
- (void)hangUpConferenceOnScreenLock;
- (void)audioDeviceView:(id)arg1 eventOccurred:(id)arg2;
- (void)audioDeviceView:(id)arg1 selectedItem:(int)arg2;
- (int)audioDeviceViewNumberOfDevices:(id)arg1;
- (id)audioDeviceView:(id)arg1 deviceAtIndex:(int)arg2 isActive:(BOOL*)arg3;
- (BOOL)shouldDisplayMuteOption;
- (BOOL)muteButtonEnabled;
- (BOOL)audioIsMuted;
- (void)audioDeviceView:(id)arg1 selectedMute:(int)arg2;
- (BOOL)initialMuteState;
- (void)setInitialMuteState:(BOOL)arg1;
- (void)setDisplayController:(id)arg1;
- (void)audioPlayerDidStopPlaying:(id)arg1;
- (id)newDisplayController;
- (void)_handleDismissConference:(id)arg1;
- (void)_handleFirstRemoteFrame:(id)arg1;
- (void)_handleInvitationSent:(id)arg1;
- (void)_handleStateChanged:(id)arg1;
- (void)_handleTelephonyStateChanged:(id)arg1;
- (void)_stopSounds;
- (BOOL)_endAudioInterruption;
- (id)displayController;
- (void)_forceAudioCompletion;
- (void)_muteConference:(BOOL)arg1;
- (BOOL)_beginAudioInterruption;
- (void)_playOutgoingRingSound;
- (void)_gracefullyTerminateAndReturnToLastApp;
- (void)startFaceTimeWithURL:(id)arg1 withCompletion:(id)arg2;
- (void)_delayedPlayOutgoingRingSound;
- (void)setOriginationURL:(id)arg1;
- (id)deviceController;
- (void)_handleConferenceConnecting:(id)arg1;
- (void)_handleConferenceConnected:(id)arg1;
- (BOOL)shouldDisableEdgeClip;
- (void)showCallBarsAnimated:(BOOL)arg1;
- (void)showAcceptCallBarsAnimated:(BOOL)arg1 callBarsOffscreen:(BOOL)arg2 wasLocked:(BOOL)arg3 wasCallWaiting:(BOOL)arg4;
- (BOOL)shouldHideStatusBar;
- (void)updateViewControllerForOrientation:(int)arg1;
- (void)animateOutWithAnimations:(id)arg1 completion:(id)arg2;
- (void)returnToFullScreenPreviewWithAnimations:(id)arg1 completion:(id)arg2;
- (void)resetToFullScreenPreview;
- (void)prepareForCallWaitingAnimated:(BOOL)arg1;
- (void)resumeFromCallWaitingAnimated:(BOOL)arg1;
- (void)showLockedAnimated:(BOOL)arg1 contactImage:(id)arg2 lockScreenImageView:(id)arg3 withCompletion:(id)arg4;
- (void)didFinishLocking;
- (void)animateShowUnlocked;
- (BOOL)isShowingFaceTimeUI;
- (BOOL)isInPhoneCall;
- (BOOL)isOutgoingInvitation;
- (void)conferenceDisplayController:(id)arg1 endCallWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 didFinishAnimatingCallEndWithReason:(unsigned int)arg2;
- (void)conferenceDisplayControllerEndedWhileSuspending:(id)arg1;
- (void)conferenceDisplayController:(id)arg1 endWithReason:(unsigned int)arg2;
- (id)originationURL;
- (BOOL)auxiliaryAudioRoutesAvailable;
- (void)conferenceDisplayController:(id)arg1 muteConferenceWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 cameraToggleWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 retryVideoConferenceInvitationWithReason:(unsigned int)arg2;
- (void)conferenceDisplayController:(id)arg1 cancelCallFailureRecoveryWithReason:(unsigned int)arg2;
- (BOOL)isShowingCallWaiting;
- (BOOL)isShowingLock;

@end
