/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Conference.framework/Conference
 */

@class NSMutableArray, IMAVChat;

@interface CNFConferenceController : NSObject <IMAVControllerDelegate, IMAVInvitationControllerDelegate, IMAVChatDelegate> {
    BOOL _isConnected;
    int _type;
    IMAVChat *_activeAVChat;
    NSMutableArray *_avChatList;
}

@property unsigned int localCameraType;
@property(readonly) unsigned int remoteCameraType;
@property(readonly) unsigned int remoteCameraOrientation;
@property(readonly) struct CGSize { float width; float height; } remoteCameraAspectRatio;
@property(readonly) BOOL isFullConferenceCapable;
@property(readonly) int type;
@property(retain,readonly) IMAVChat * avChat;

+ (BOOL)disconnect;
+ (BOOL)connect;
+ (BOOL)isConnected;
+ (id)sharedInstance;
+ (int)conferenceControllerType;
+ (BOOL)conferencingRegistrationIsSupported;
+ (BOOL)conferencingIsEnabled;
+ (void)reconcileHarlequinAccountStatus;
+ (void)setConferencingEnabled:(BOOL)arg1;
+ (struct __CFPhoneNumber { }*)phoneNumberRefCopyForDestinationId:(id)arg1 useNetworkCountryCode:(BOOL)arg2;
+ (BOOL)conferencingIsSupported;
+ (BOOL)conferencingIsRestricted;

- (int)cameraType;
- (id)_initWithType:(int)arg1;
- (int)type;
- (id)faceTimeURLForDestinationID:(id)arg1;
- (id)init;
- (void)dealloc;
- (void)avChatStateChangedFrom:(unsigned int)arg1 to:(unsigned int)arg2 reason:(unsigned int)arg3;
- (void)conference:(id)arg1 receivedCancelledInvitationFromIMHandle:(id)arg2;
- (void)conference:(id)arg1 handleMissedInvitationFromIMHandle:(id)arg2;
- (void)conference:(id)arg1 receivedInvitationFromIMHandle:(id)arg2;
- (void)inviteFailedFromIMHandle:(id)arg1 reason:(int)arg2;
- (void)invitedToIMAVChat:(id)arg1;
- (id)avChat;
- (BOOL)accountsAreLoggedIn;
- (void)setNeedsPushReliability:(BOOL)arg1;
- (BOOL)isFullConferenceCapable;
- (BOOL)isInvitationListener;
- (BOOL)validFaceTimeAccountExistsForDestinationID:(id)arg1;
- (BOOL)canSendFaceTimeInvitationTo:(id)arg1;
- (id)sendFaceTimeInvitationTo:(id)arg1;
- (id)avChatForConferenceID:(id)arg1;
- (void)acceptFaceTimeInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)rejectFaceTimeInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)setFaceTimeMuted:(BOOL)arg1;
- (BOOL)faceTimePaused;
- (void)setFaceTimePaused:(BOOL)arg1;
- (struct CGSize { float x1; float x2; })remoteCameraAspectRatio;
- (BOOL)canInitiateFaceTimeForPhoneNumber:(id)arg1;
- (id)faceTimeURLForPhoneNumber:(id)arg1;
- (void)hangUpConference;
- (BOOL)isInConference;
- (BOOL)_blockingIsInConference;
- (id)currentCallConnectedDate;
- (void)endConference;
- (void)avChatStateChanged:(id)arg1;
- (void)iChatAgentDisconnected;
- (void)iChatAgentConnected;
- (void)connectToService;
- (void)disconnectFromService;
- (id)_countryCode;
- (id)_imHandleFromID:(id)arg1 countryCode:(id)arg2;
- (BOOL)conferencingIsAvailable;
- (id)_imHandleFromURL:(id)arg1;
- (id)sendFaceTimeInvitationTo:(id)arg1 isVideo:(BOOL)arg2;
- (unsigned int)remoteCameraOrientation;
- (unsigned int)remoteCameraType;
- (BOOL)_activeChatExists;
- (void)_handleEndAVChat:(id)arg1 withReason:(unsigned int)arg2 error:(int)arg3;
- (unsigned int)_currentChatState;
- (void)_handleInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)_handleMissedInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)_handleCanceledInvitationFrom:(id)arg1 conferenceID:(id)arg2;
- (void)_handleAVChatStateChangeFromState:(unsigned int)arg1 to:(unsigned int)arg2 withReason:(unsigned int)arg3;
- (void)setHavePreviouslyConferenced:(BOOL)arg1 withID:(id)arg2;
- (void)_cleanUpAfterAVChat;
- (void)_handleConferenceConnecting:(id)arg1;
- (void)_handleConferenceConnected:(id)arg1;
- (void)_handleConferenceEnded:(id)arg1 withReason:(unsigned int)arg2 withError:(int)arg3;
- (BOOL)canInitiateFaceTimeForDestinationID:(id)arg1;
- (id)faceTimeURLForDestinationID:(id)arg1 countryCode:(id)arg2;
- (BOOL)havePreviouslyConferencedWithID:(id)arg1;
- (int)activationState;
- (id)remoteParticipant;
- (unsigned int)localCameraType;
- (void)setLocalCameraType:(unsigned int)arg1;
- (BOOL)faceTimeMuted;
- (BOOL)inFaceTime;
- (BOOL)faceTimeInvitationExists;
- (id)currentCallRemoteUserId;
- (BOOL)_chat:(id)arg1 isCrossInvitationWithChat:(id)arg2;

@end
