/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/IMCore.framework/IMCore
 */

@class NSAttributedString, UIImage, IMPeople, NSData, NSDate, NSArray, NSDictionary, IMRemoteProxy<IMServiceSessionProtocol>, IMServiceImpl, NSString, NSMutableDictionary, IMHandle;

@interface IMAccount : NSObject <IMSystemMonitorListener> {
    IMRemoteProxy<IMServiceSessionProtocol> *_remoteSession;
    IMServiceImpl *_service;
    IMPeople *_buddyList;
    NSMutableDictionary *_imHandles;
    NSMutableDictionary *_inlineTransfers;
    IMHandle *_loginIMHandle;
    NSArray *_cachedAllowList;
    NSArray *_cachedBlockList;
    NSString *_loginID;
    NSString *_displayName;
    NSString *_uniqueID;
    NSDictionary *_data;
    NSMutableDictionary *_dataChanges;
    NSDictionary *_profile;
    NSMutableDictionary *_profileChanges;
    NSString *_countryCode;
    NSDictionary *_accountPreferences;
    NSMutableDictionary *_accountPreferencesChanges;
    NSDictionary *_accountPersistentProperties;
    NSMutableDictionary *_accountPersistentPropertiesChanges;
    NSArray *_groups;
    NSMutableDictionary *_sortOrders;
    NSDictionary *_members;
    NSMutableDictionary *_coalescedChanges;
    NSArray *_targetGroupState;
    NSArray *_lastReceivedGroupState;
    NSDictionary *_subtypeInfo;
    unsigned int _myStatus;
    NSMutableDictionary *_currentAccountStatus;
    NSString *_myStatusMessage;
    NSDictionary *_myNowPlaying;
    NSDate *_myIdleSince;
    NSData *_myPictureData;
    NSData *_accountImageData;
    unsigned long long _capabilities;
    NSAttributedString *_myProfile;
    int _registrationStatus;
    int _registrationFailureReason;
    NSDictionary *_registrationAlertInfo;
    unsigned int _loginStatus;
    BOOL _isActive;
    BOOL _justLoggedIn;
    BOOL _useMeCardName;
    unsigned int _cachedBlockingMode;
    BOOL _blockIdleStatus;
    BOOL _syncedWithRemoteBuddyList;
    BOOL _hasReceivedSync;
    int _numHolding;
    int _coalesceCount;
    BOOL _needToCheckForWatchedIMHandles;
    BOOL _iconChecked;
    BOOL _hasBeenRemoved;
    UIImage *_smallImage;
    UIImage *_accountImage;
    BOOL _asleep;
}

@property(readonly) NSDictionary * dictionary;
@property(readonly) NSString * uniqueID;
@property(readonly) NSString * name;
@property(readonly) NSString * shortName;
@property(readonly) NSString * serviceName;
@property(readonly) NSString * internalName;
@property(readonly) NSArray * emailDomains;
@property(readonly) NSData * accountImageData;
@property(readonly) NSString * addressBookProperty;
@property(readonly) NSArray * addressBookProperties;
@property(readonly) IMServiceImpl * service;
@property(readonly) NSDictionary * accountSubtypeInfo;
@property(readonly) BOOL supportsRegistration;
@property(readonly) int registrationStatus;
@property(readonly) int registrationFailureReason;
@property(readonly) BOOL supportsAuthorization;
@property(readonly) NSString * authorizationID;
@property(readonly) NSString * authorizationToken;
@property(readonly) NSDictionary * profileInfo;
@property(readonly) NSString * countryCode;
@property(readonly) NSArray * aliases;
@property(readonly) NSArray * vettedAliases;
@property(copy) NSString * displayName;
@property(readonly) int accountType;
@property(readonly) unsigned int loginStatus;
@property(readonly) NSString * loginStatusMessage;
@property(readonly) unsigned int myStatus;
@property(readonly) NSString * myStatusMessage;
@property(readonly) NSDate * myIdleSince;
@property(readonly) NSData * myPictureData;
@property(readonly) NSString * myNowPlayingString;
@property(readonly) NSAttributedString * myProfile;
@property(readonly) NSDictionary * myStatusDictionary;
@property(readonly) BOOL isManaged;
@property(retain) NSString * login;
@property(readonly) NSString * server;
@property(readonly) int port;
@property(readonly) BOOL useSSL;
@property BOOL autoLogin;
@property BOOL goIdle;
@property BOOL allowsVCRelay;
@property(readonly) BOOL hasCustomDescription;
@property(retain) NSString * accountDescription;
@property(readonly) BOOL isConnecting;
@property(readonly) BOOL isConnected;
@property(readonly) BOOL justLoggedIn;
@property(getter=isInvisible) BOOL invisible;
@property(readonly) BOOL isActive;
@property(readonly) BOOL canActivate;
@property(readonly) unsigned long long capabilities;
@property(readonly) BOOL handlesChatInvites;
@property(readonly) BOOL validLogin;
@property(readonly) BOOL validPort;
@property(readonly) BOOL validServer;
@property(readonly) int invalidSettings;
@property(readonly) NSString * password;
@property(readonly) NSString * temporaryPassword;
@property(readonly) NSArray * groupList;
@property(readonly) IMPeople * buddyList;
@property(readonly) BOOL makingChanges;
@property(retain) NSArray * blockList;
@property(retain) NSArray * allowList;
@property unsigned int blockingMode;
@property BOOL blockIdleStatus;
@property BOOL blockOtherAddresses;
@property(readonly) NSDictionary * accountPreferences;
@property(readonly) NSArray * arrayOfAllIMHandles;
@property(readonly) id loginIMHandle;
@property(readonly) BOOL isAsleep;
@property(readonly) BOOL isAwaitingTargetGroupState;
@property(readonly) BOOL hasTargetGroupStateBeenMet;
@property(readonly) BOOL hasSyncedWithRemoteBuddies;
@property(readonly) NSDictionary * _persistentProperties;

+ (id)nameOfLoginStatus:(unsigned int)arg1;
+ (id)_groupSummaryFromGroupList:(id)arg1;
+ (void)removeTemporaryPasswordForAccount:(id)arg1 forServiceName:(id)arg2;
+ (void)setTemporaryPassword:(id)arg1 forAccount:(id)arg2 forServiceName:(id)arg3;
+ (id)temporaryPasswordForAccount:(id)arg1 forServiceName:(id)arg2;
+ (void)removePasswordForAccount:(id)arg1 forServiceName:(id)arg2;
+ (void)setPassword:(id)arg1 forAccount:(id)arg2 forServiceName:(id)arg3;
+ (id)passwordForAccount:(id)arg1 forServiceName:(id)arg2;
+ (id)arrayOfAllIMHandles;
+ (id)allBuddyListIMHandles;

- (id)accountDescription;
- (void)systemDidWake;
- (void)systemWillSleep;
- (void)setInteger:(int)arg1 forKey:(id)arg2;
- (void)setDisplayName:(id)arg1;
- (void)setPassword:(id)arg1;
- (id)stringForKey:(id)arg1;
- (BOOL)isConnecting;
- (void)removeObjectForKey:(id)arg1;
- (void)finalize;
- (void)setString:(id)arg1 forKey:(id)arg2;
- (void)setBool:(BOOL)arg1 forKey:(id)arg2;
- (BOOL)justLoggedIn;
- (id)myIdleSince;
- (id)myPictureData;
- (id)myStatusMessage;
- (id)myProfile;
- (id)myStatusDictionary;
- (void)_handleIncomingCommand:(id)arg1 withProperties:(id)arg2 fromBuddyInfo:(id)arg3;
- (void)_handleDeliveredCommand:(id)arg1 withProperties:(id)arg2 fromBuddyInfo:(id)arg3;
- (void)_handleIncomingData:(id)arg1 fromBuddyInfo:(id)arg2;
- (void)setInteger:(int)arg1 forPreferenceKey:(id)arg2;
- (int)integerForPreferenceKey:(id)arg1;
- (void)setBool:(BOOL)arg1 forPreferenceKey:(id)arg2;
- (BOOL)boolForPreferenceKey:(id)arg1;
- (void)setString:(id)arg1 forPreferenceKey:(id)arg2;
- (id)stringForPreferenceKey:(id)arg1;
- (id)dictionaryDataForPreferenceKey:(id)arg1;
- (void)setDictionaryData:(id)arg1 forPreferenceKey:(id)arg2;
- (void)removeObjectForPreferenceKey:(id)arg1;
- (void)_removePersistentPropertyForKey:(id)arg1;
- (void)_setPersistentPropertyObject:(id)arg1 forKey:(id)arg2;
- (id)_persistentPropertyForKey:(id)arg1;
- (id)_persistentProperties;
- (BOOL)isAsleep;
- (id)dictionaryDataForKey:(id)arg1;
- (void)setDictionaryData:(id)arg1 forKey:(id)arg2;
- (int)validationErrorReasonForAlias:(id)arg1 type:(int)arg2;
- (int)validationStatusForAlias:(id)arg1 type:(int)arg2;
- (BOOL)validateAlias:(id)arg1 type:(int)arg2;
- (BOOL)removeAlias:(id)arg1 type:(int)arg2;
- (BOOL)addAlias:(id)arg1 type:(int)arg2;
- (id)aliasesForType:(int)arg1;
- (BOOL)hasAlias:(id)arg1 type:(int)arg2;
- (BOOL)removeProfileValueForKey:(id)arg1;
- (BOOL)requestNewAuthorizationCredentials;
- (struct _FZChatRoomValidity { int x1; unsigned short x2; })validityOfChatRoomName:(id)arg1;
- (id)chatIDForRoomName:(id)arg1;
- (void)handleSubscriptionRequestFrom:(id)arg1 withMessage:(id)arg2;
- (void)unregisterIMHandle:(id)arg1;
- (void)registerIMHandle:(id)arg1;
- (void)stopWatchingIMHandle:(id)arg1;
- (BOOL)removeIMHandle:(id)arg1 fromIMPerson:(id)arg2;
- (BOOL)addIMHandle:(id)arg1 toIMPerson:(id)arg2;
- (unsigned int)sortOrderForIMHandle:(id)arg1 inGroup:(id)arg2;
- (id)personSibsForIMHandle:(id)arg1;
- (id)personForIMHandle:(id)arg1 identifier:(int*)arg2;
- (id)existingIMHandleWithID:(id)arg1 countryCode:(id)arg2;
- (id)existingIMHandleWithInfo:(id)arg1 alreadyCanonical:(BOOL)arg2;
- (id)imHandleWithInfo:(id)arg1 alreadyCanonical:(BOOL)arg2;
- (Class)imHandleClass;
- (void)accountDidDeactivate;
- (void)accountDidBecomeActive;
- (void)accountWillBeRemoved;
- (void)setBuddyProperties:(id)arg1 buddyPictures:(id)arg2;
- (void)buddyPictureChanged:(id)arg1 imageData:(id)arg2 imageHash:(id)arg3;
- (id)memberGroups:(id)arg1;
- (id)groupMembers:(id)arg1;
- (void)reorderGroup:(id)arg1 order:(id)arg2;
- (void)addBuddyToBuddyList:(id)arg1;
- (BOOL)removeIMHandle:(id)arg1 fromGroups:(id)arg2;
- (BOOL)addIMHandle:(id)arg1 toGroups:(id)arg2 atLocation:(int)arg3;
- (BOOL)removePeople:(id)arg1 fromGroups:(id)arg2;
- (void)setBlockOtherAddresses:(BOOL)arg1;
- (BOOL)blockOtherAddresses;
- (void)blockMessages:(BOOL)arg1 fromID:(id)arg2;
- (void)setValue:(id)arg1 ofExtraProperty:(id)arg2 ofIMHandle:(id)arg3;
- (void)requestProperty:(id)arg1 ofIMHandle:(id)arg2;
- (BOOL)isManaged;
- (BOOL)canActivate;
- (void)setAllowsVCRelay:(BOOL)arg1;
- (void)setGoIdle:(BOOL)arg1;
- (BOOL)goIdle;
- (BOOL)hasCustomDescription;
- (void)setAccountDescription:(id)arg1;
- (void)setInvisible:(BOOL)arg1;
- (id)temporaryPassword;
- (void)updateCapabilities:(unsigned long long)arg1;
- (int)compareServices:(id)arg1;
- (int)compareStatus:(id)arg1;
- (int)compareLoginStatus:(id)arg1;
- (void)resetToDefaults;
- (id)accountImageData;
- (id)myNowPlayingString;
- (void)setCurrentAccountStatus:(id)arg1;
- (void)loginStatusChanged:(unsigned int)arg1 message:(id)arg2 reason:(unsigned int)arg3 properties:(id)arg4;
- (void)logoutAccount;
- (void)loginAccount;
- (void)autoLoginAccount;
- (id)objectForPreferenceKey:(id)arg1;
- (void)setObject:(id)arg1 forPreferenceKey:(id)arg2;
- (id)_aliasInfoForAlias:(id)arg1;
- (id)_aliases;
- (int)profileValidationErrorReason;
- (BOOL)setProfileValue:(id)arg1 forKey:(id)arg2;
- (id)defaultChatSuffix;
- (void)disconnectAllIMHandles;
- (void)setBuddyListAuthorization:(BOOL)arg1 forIMHandle:(id)arg2;
- (void)_watchBuddiesIfNecessary;
- (void)startWatchingIMHandle:(id)arg1;
- (BOOL)emailAddressIsID:(id)arg1;
- (id)imHandlesForIMPerson:(id)arg1;
- (id)personForIMHandle:(id)arg1;
- (unsigned long long)defaultHandleCapabilities;
- (id)existingIMHandleWithID:(id)arg1 alreadyCanonical:(BOOL)arg2;
- (id)imHandleWithID:(id)arg1 alreadyCanonical:(BOOL)arg2;
- (id)recalculatedSubtypeInfo;
- (void)_clearImageCache;
- (void)watchBuddiesIfNecessary;
- (void)imHandle:(id)arg1 buddyStatusChanged:(BOOL)arg2;
- (id)buddyList;
- (BOOL)isAwaitingTargetGroupState;
- (void)nowLoggedOut;
- (void)nowLoggedIn;
- (void)forgetAllWatches;
- (void)_notJustLoggedIn;
- (void)setIMAccountLoginStatus:(unsigned int)arg1 errorMessage:(id)arg2;
- (void)hookupToDaemon;
- (void)buddyPropertiesChanged:(id)arg1;
- (id)existingIMHandleWithInfo:(id)arg1;
- (void)_resumeBuddyUpdatesNow;
- (void)_applyChangesToTemporaryCache:(id)arg1;
- (void)endChanges;
- (void)reorderGroups:(id)arg1;
- (id)propertiesForGroup:(id)arg1;
- (void)beginChanges;
- (BOOL)addPeople:(id)arg1 toGroups:(id)arg2 atLocation:(int)arg3;
- (void)requestBuddyListAuthorizationFromIMHandle:(id)arg1;
- (void)_ensureGroupsExists:(id)arg1;
- (void)changeBuddyList:(id)arg1 add:(BOOL)arg2 groups:(id)arg3 atLocation:(int)arg4;
- (id)groupList;
- (BOOL)makingChanges;
- (void)setTargetGroupsState:(id)arg1;
- (void)updateWithTargetGroups;
- (void)setWaitForTargetState;
- (void)groupsChanged:(id)arg1 error:(id)arg2;
- (void)clearTargetState;
- (BOOL)hasTargetGroupStateBeenMet;
- (void)targetGroupStateTimeout;
- (void)setCachedBlockIdleStatus:(BOOL)arg1;
- (void)setCachedBlockingMode:(unsigned int)arg1;
- (void)setCachedAllowList:(id)arg1;
- (void)setCachedBlockList:(id)arg1;
- (id)allowList;
- (id)blockList;
- (unsigned int)blockingMode;
- (int)validationErrorReasonForAlias:(id)arg1;
- (void)_updateRegistrationStatus:(int)arg1 error:(int)arg2 info:(id)arg3;
- (void)_updateProfileInfo:(id)arg1;
- (BOOL)_updateDisplayName:(id)arg1;
- (id)_statuses;
- (id)vettedAliases;
- (BOOL)validPort;
- (BOOL)validServer;
- (BOOL)validLogin;
- (id)accountSubtypeInfo;
- (int)invalidSettings;
- (BOOL)blockIdleStatus;
- (id)_serverWithSSL:(BOOL)arg1;
- (BOOL)isInvisible;
- (void)removeTemporaryPassword;
- (void)removePassword;
- (int)compareIDs:(id)arg1;
- (int)compareAccountNames:(id)arg1;
- (void)_loadFromDictionary:(id)arg1 force:(BOOL)arg2;
- (id)accountPreferences;
- (id)profileInfo;
- (id)canonicalFormOfID:(id)arg1 countryCode:(id)arg2;
- (void)_updateMyStatus:(unsigned int)arg1 message:(id)arg2;
- (void)_updateLogin:(id)arg1;
- (void)_refreshLoginIMHandle;
- (void)recalculateSubtypeInfo;
- (void)setIMAccountLoginStatus:(unsigned int)arg1 errorMessage:(id)arg2 reason:(unsigned int)arg3;
- (void)_loginWithAutoLogin:(BOOL)arg1;
- (void)_serviceDidDisconnect:(id)arg1;
- (void)_serviceDidReconnect:(id)arg1;
- (void)_serviceDidConnect:(id)arg1;
- (void)syncWithRemoteBuddies;
- (void)clearServiceCaches;
- (void)setBlockIdleStatus:(BOOL)arg1;
- (void)setBlockList:(id)arg1;
- (void)setAllowList:(id)arg1;
- (void)setBlockingMode:(unsigned int)arg1;
- (void)renameGroup:(id)arg1 to:(id)arg2;
- (void)requestGroups;
- (void)resumeBuddyUpdates;
- (void)holdBuddyUpdates;
- (BOOL)autoLogin;
- (id)initWithUniqueID:(id)arg1 service:(id)arg2;
- (id)shortName;
- (id)emailDomains;
- (id)addressBookProperties;
- (BOOL)supportsRegistration;
- (BOOL)handlesChatInvites;
- (BOOL)supportsAuthorization;
- (id)addressBookProperty;
- (int)compareNames:(id)arg1;
- (BOOL)equalID:(id)arg1 andID:(id)arg2;
- (void)_markHasSyncedWithRemoteBuddies;
- (BOOL)hasSyncedWithRemoteBuddies;
- (void)setIMAccountLoginStatus:(unsigned int)arg1;
- (void)_syncWithRemoteBuddies;
- (id)canonicalFormOfID:(id)arg1;
- (unsigned int)myStatus;
- (void)setUniqueID:(id)arg1;
- (id)countryCode;
- (id)displayName;
- (int)port;
- (id)password;
- (BOOL)isActive;
- (int)integerForKey:(id)arg1;
- (void)setIsActive:(BOOL)arg1;
- (id)name;
- (BOOL)boolForKey:(id)arg1;
- (id)server;
- (id)dictionary;
- (id)serviceName;
- (int)accountType;
- (id)_remoteSession;
- (unsigned int)loginStatus;
- (id)existingIMHandleWithID:(id)arg1;
- (id)imHandleWithID:(id)arg1;
- (id)initWithService:(id)arg1;
- (id)service;
- (BOOL)isConnected;
- (id)uniqueID;
- (id)description;
- (id)objectForKey:(id)arg1;
- (void)setObject:(id)arg1 forKey:(id)arg2;
- (void)dealloc;
- (unsigned long long)capabilities;
- (BOOL)useSSL;
- (void)loadFromDictionary:(id)arg1;
- (BOOL)hasCapability:(unsigned long long)arg1;
- (id)internalName;
- (BOOL)allowsVCRelay;
- (id)arrayOfAllIMHandles;
- (id)loginIMHandle;
- (id)imHandleWithInfo:(id)arg1;
- (id)loginStatusMessage;
- (void)setLogin:(id)arg1;
- (void)setAutoLogin:(BOOL)arg1;
- (void)setTemporaryPassword:(id)arg1;
- (BOOL)authenticateAccount;
- (BOOL)hasAlias:(id)arg1;
- (BOOL)validateAlias:(id)arg1;
- (int)registrationFailureReason;
- (id)authorizationID;
- (id)authorizationToken;
- (int)typeForAlias:(id)arg1;
- (id)login;
- (BOOL)updateAuthorizationCredentials:(id)arg1 token:(id)arg2;
- (int)profileValidationStatus;
- (id)profileStringForKey:(id)arg1;
- (id)profileValueForKey:(id)arg1;
- (BOOL)setProfileString:(id)arg1 forKey:(id)arg2;
- (void)writeSettings;
- (BOOL)validateProfile;
- (BOOL)removeAlias:(id)arg1;
- (BOOL)addAlias:(id)arg1;
- (BOOL)registerAccount;
- (BOOL)unregisterAccount;
- (int)registrationStatus;
- (id)aliases;
- (int)validationStatusForAlias:(id)arg1;
- (id)imHandleWithID:(id)arg1 countryCode:(id)arg2;
- (id)loginDisplayString;

@end
