/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/IMCore.framework/IMCore
 */

@class NSArray, NSString, NSMutableArray, NSMutableDictionary;

@interface IMChatRegistry : NSObject  {
    NSMutableArray *_allChats;
    NSString *_historyModificationStamp;
    BOOL _daemonHadTerminated;
    BOOL _firstLoad;
    unsigned int _defaultNumberOfMessagesToLoad;
    BOOL _loading;
    NSMutableDictionary *_chatGUIDToCurrentThreadMap;
    NSMutableDictionary *_threadNameToChatMap;
    NSMutableArray *_pendingQueries;
    NSMutableArray *_waitingForQueries;
    BOOL _postMessageSentNotifications;
    BOOL _wantsHistoryReload;
}

@property(readonly) NSArray * allExistingChats;
@property(readonly) unsigned int numberOfExistingChats;
@property(setter=_setPostMessageSentNotifications:) BOOL _postMessageSentNotifications;
@property(setter=_setDefaultNumberOfMessagesToLoad:) unsigned int _defaultNumberOfMessagesToLoad;
@property(readonly) BOOL _isLoading;
@property(retain) NSMutableArray * _allChats;
@property(retain) NSMutableDictionary * _chatGUIDToCurrentThreadMap;
@property(retain) NSMutableDictionary * _threadNameToChatMap;
@property(retain) NSMutableArray * _pendingQueries;
@property(retain) NSMutableArray * _waitingForQueries;
@property BOOL _daemonHadTerminated;
@property BOOL _firstLoad;
@property BOOL _wantsHistoryReload;
@property(retain) NSString * _historyModificationStamp;

+ (void)setChatClass:(Class)arg1;
+ (void)setChatRegistryClass:(Class)arg1;
+ (Class)chatClass;
+ (Class)chatRegistryClass;
+ (id)sharedInstance;
+ (Class)messageClass;
+ (void)setMessageClass:(Class)arg1;

- (void)set_wantsHistoryReload:(BOOL)arg1;
- (BOOL)_wantsHistoryReload;
- (void)set_waitingForQueries:(id)arg1;
- (id)_waitingForQueries;
- (void)set_pendingQueries:(id)arg1;
- (id)_pendingQueries;
- (void)set_threadNameToChatMap:(id)arg1;
- (id)_threadNameToChatMap;
- (void)set_chatGUIDToCurrentThreadMap:(id)arg1;
- (id)_chatGUIDToCurrentThreadMap;
- (unsigned int)_defaultNumberOfMessagesToLoad;
- (void)set_firstLoad:(BOOL)arg1;
- (BOOL)_firstLoad;
- (void)set_daemonHadTerminated:(BOOL)arg1;
- (BOOL)_daemonHadTerminated;
- (void)set_historyModificationStamp:(id)arg1;
- (id)_historyModificationStamp;
- (void)set_allChats:(id)arg1;
- (id)_allChats;
- (id)_lookupExistingChatWithIMHandle:(id)arg1;
- (id)chatForRoom:(id)arg1 onAccount:(id)arg2;
- (id)_chatInstanceForGUID:(id)arg1;
- (void)__blockUntilQueriesComplete;
- (void)unregisterChat:(id)arg1;
- (BOOL)_postMessageSentNotifications;
- (void)_processMessageForAccount:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 message:(id)arg5;
- (id)existingChatWithChatIdentifier:(id)arg1;
- (void)_account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 messagesUpdated:(id)arg5;
- (id)_chatsWithMessage:(id)arg1;
- (id)_existingChatWithIdentifier:(id)arg1 style:(unsigned char)arg2 account:(id)arg3;
- (id)existingChatForRoom:(id)arg1 onAccount:(id)arg2 allowRetargeting:(BOOL)arg3;
- (id)_createdChatWithIdentifier:(id)arg1 style:(unsigned char)arg2 account:(id)arg3;
- (id)_allCreatedChats;
- (id)_createdChatForRoom:(id)arg1 onAccount:(id)arg2;
- (id)existingChatForRoom:(id)arg1 onAccount:(id)arg2;
- (id)_createdChatForIMHandles:(id)arg1;
- (id)existingChatForIMHandles:(id)arg1;
- (id)chatForIMHandles:(id)arg1 chatName:(id)arg2;
- (void)_registerChat:(id)arg1 isIncoming:(BOOL)arg2;
- (id)_createdChatForIMHandle:(id)arg1;
- (void)unregisterChatWithGUID:(id)arg1;
- (id)_copyThreadNameForChat:(id)arg1 style:(unsigned char)arg2 account:(id)arg3;
- (void)_daemonReallyDied:(id)arg1;
- (void)handleIMChatParticipantsDidChange:(id)arg1;
- (void)_blockUntilQueriesComplete:(id)arg1;
- (void)_chat:(id)arg1 removeParticipants:(id)arg2 reason:(id)arg3;
- (void)_chat:(id)arg1 inviteParticipants:(id)arg2 reason:(id)arg3;
- (void)_chat_leave:(id)arg1;
- (void)_chat:(id)arg1 setProperties:(id)arg2 ofParticipant:(id)arg3;
- (void)_chat:(id)arg1 setValue:(id)arg2 forChatProperty:(id)arg3;
- (void)_chat_sendReadReceiptForAllMessages:(id)arg1;
- (void)_chat:(id)arg1 sendReadReceiptForMessages:(id)arg2;
- (void)_chat:(id)arg1 sendMessage:(id)arg2;
- (void)_chat:(id)arg1 sendCancelMessage:(id)arg2;
- (void)_chat_declineInvitation:(id)arg1;
- (void)_chat:(id)arg1 joinWithProperties:(id)arg2;
- (void)_noteChatDealloc:(id)arg1;
- (void)_noteChatInit:(id)arg1;
- (void)_handleChatReconstructions:(id)arg1;
- (void)historicalMessageGUIDsDeleted:(id)arg1 queryID:(id)arg2;
- (void)historyQuery:(id)arg1 chatID:(id)arg2 finishedWithResult:(id)arg3;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 member:(id)arg5 statusChanged:(int)arg6;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 statusChanged:(int)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 error:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 messagesUpdated:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 notifySentMessage:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 messageUpdated:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 messageReceived:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 messageCancelled:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 messageSent:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 updateProperties:(id)arg5;
- (void)account:(id)arg1 chat:(id)arg2 style:(unsigned char)arg3 chatProperties:(id)arg4 invitationReceived:(id)arg5;
- (void)leftChat:(id)arg1;
- (void)chat:(id)arg1 propertiesUpdated:(id)arg2;
- (void)setupComplete:(BOOL)arg1 info:(id)arg2;
- (id)existingChatWithGUID:(id)arg1;
- (void)_setPostMessageSentNotifications:(BOOL)arg1;
- (id)existingChatForIMHandle:(id)arg1;
- (unsigned int)numberOfExistingChats;
- (id)existingChatForIMHandles:(id)arg1 allowRetargeting:(BOOL)arg2;
- (id)chatForIMHandles:(id)arg1;
- (id)existingChatForIMHandle:(id)arg1 allowRetargeting:(BOOL)arg2;
- (id)chatForIMHandle:(id)arg1;
- (id)allExistingChats;
- (id)existingChatWithPersistentID:(id)arg1;
- (void)_setDefaultNumberOfMessagesToLoad:(unsigned int)arg1;
- (id)init;
- (void)dealloc;
- (BOOL)_isLoading;
- (void)setupComplete;

@end
