/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Message.framework/Message
 */

@class NSSet, MailAccount, <MFSecureMIMECompositionManagerDelegate>, NSLock, NSString, NSMutableSet, MFError, NSMutableDictionary;

@interface MFSecureMIMECompositionManager : NSObject  {
    <MFSecureMIMECompositionManagerDelegate> *_delegate;
    NSLock *_lock;
    struct dispatch_queue_s { } *_queue;
    MailAccount *_sendingAccount;
    NSString *_sendingAddress;
    struct __SecIdentity { } *_signingIdentity;
    MFError *_signingIdentityError;
    struct __SecIdentity { } *_encryptionIdentity;
    MFError *_encryptionIdentityError;
    NSMutableSet *_recipients;
    NSMutableDictionary *_errorsByRecipient;
    NSMutableDictionary *_certificatesByRecipient;
    int _signingPolicy;
    int _encryptionPolicy;
    int _signingStatus;
    int _encryptionStatus;
    unsigned int _encryptionStatusSemaphore;
    unsigned int _signingStatusSemaphore;
    BOOL _invalidated;
}

@property <MFSecureMIMECompositionManagerDelegate> * delegate;
@property(copy) NSString * sendingAddress;
@property(readonly) MailAccount * sendingAccount;
@property(readonly) int signingPolicy;
@property(readonly) int encryptionPolicy;
@property(readonly) int signingStatus;
@property(readonly) int encryptionStatus;
@property(readonly) NSSet * recipients;

+ (struct __SecIdentity { }*)copySigningIdentityForAccount:(id)arg1 sendingAddress:(id)arg2 error:(id*)arg3;
+ (struct __SecIdentity { }*)copyEncryptionIdentityForAccount:(id)arg1 sendingAddress:(id)arg2 error:(id*)arg3;
+ (id)copyEncryptionCertificatesForAccount:(id)arg1 recipientAddress:(id)arg2 error:(id*)arg3;

- (id)initWithSigningPolicy:(int)arg1 encryptionPolicy:(int)arg2;
- (void)removeRecipients:(id)arg1;
- (void)setSendingAddress:(id)arg1;
- (id)sendingAddress;
- (id)sendingAccount;
- (int)signingPolicy;
- (int)encryptionPolicy;
- (int)signingStatus;
- (int)encryptionStatus;
- (BOOL)shouldAllowSend;
- (id)initWithSendingAccount:(id)arg1 signingPolicy:(int)arg2 encryptionPolicy:(int)arg3;
- (BOOL)_updateSigningStatus_nts;
- (BOOL)_updateEncryptionStatus_nts;
- (void)_notifyDelegateEncryptionStatusDidChange:(int)arg1 certsByRecipient:(id)arg2 errorsByRecipient:(id)arg3 identity:(struct __SecIdentity { }*)arg4 error:(id)arg5;
- (void)_determineEncryptionStatusWithNewRecipients:(id)arg1;
- (void)_notifyDelegateSigningStatusDidChange:(int)arg1 identity:(struct __SecIdentity { }*)arg2 error:(id)arg3;
- (void)_determineSigningStatusWithSendingAddress:(id)arg1;
- (void)_determineEncryptionStatusWithSendingAddress:(id)arg1;
- (void)_setSigningIdentityError_nts:(id)arg1;
- (void)_setEncryptionIdentityError_nts:(id)arg1;
- (BOOL)_shouldAllowSend_nts;
- (BOOL)_shouldSign_nts;
- (BOOL)_shouldEncrypt_nts;
- (id)compositionSpecification;
- (void)addRecipients:(id)arg1;
- (id)recipients;
- (void)invalidate;
- (void)setDelegate:(id)arg1;
- (id)delegate;
- (id)init;
- (void)dealloc;

@end
