/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PersistentConnection.framework/PersistentConnection
 */

@class <PCGrowthAlgorithm>, NSString, PCDarwinNotificationRunLoopSource, <PCConnectionManagerDelegate>, NSRunLoop, PCPersistentTimer;

@interface PCConnectionManager : NSObject <PCLoggingDelegate> {
    int _connectionClass;
    <PCConnectionManagerDelegate> *_delegate;
    NSString *_serviceIdentifier;
    int _prefsStyle;
    int _onlyAllowedStyle;
    BOOL _onlyAllowedStyleSet;
    NSRunLoop *_runLoop;
    <PCGrowthAlgorithm> *_wwanGrowthAlgorithm;
    <PCGrowthAlgorithm> *_wifiGrowthAlgorithm;
    PCDarwinNotificationRunLoopSource *_prefsChangedSource;
    PCPersistentTimer *_intervalTimer;
    PCPersistentTimer *_reconnectWakeTimer;
    PCPersistentTimer *_delayTimer;
    unsigned int _powerAssertionID;
    double _onTimeKeepAliveTime;
    double _lastResumeTime;
    double _lastStopTime;
    double _lastReachableTime;
    double _lastReconnectTime;
    double _keepAliveGracePeriod;
    unsigned int _reconnectIteration;
    double _defaultPollingInterval;
    double _pollingIntervalOverride;
    BOOL _pollingIntervalOverrideSet;
    BOOL _hasStarted;
    BOOL _isRunning;
    BOOL _inCallback;
    BOOL _isInReconnectMode;
    BOOL _reconnectWithKeepAliveDelay;
    BOOL _forceManualWhenRoaming;
    BOOL _fallBackToAlternateInterface;
    BOOL _isReachable;
}

@property(readonly) double currentKeepAliveInterval;
@property double minimumKeepAliveInterval;
@property double maximumKeepAliveInterval;
@property(readonly) double pollingInterval;
@property(readonly) NSString * loggingIdentifier;
@property BOOL fallBackToAlternateInterface;
@property double keepAliveGracePeriod;

+ (Class)growthAlgorithmClass;
+ (id)_keepAliveCachePath;
+ (id)intervalCacheDictionaries;
+ (BOOL)_isCachedKeepAliveIntervalStillValid:(double)arg1 date:(id)arg2;

- (void)log:(id)arg1;
- (void)cancelPollingIntervalOverride;
- (void)setFallBackToAlternateInterface:(BOOL)arg1;
- (void)logAtLevel:(int)arg1 format:(id)arg2;
- (BOOL)fallBackToAlternateInterface;
- (double)keepAliveGracePeriod;
- (double)_getCachedWWANKeepAliveInterval;
- (void)_preferencesChanged;
- (void)_loadPreferencesGeneratingEvent:(BOOL)arg1;
- (void)_clearTimers;
- (void)_adjustInterfaceAssertions;
- (void)_calloutWithEvent:(int)arg1;
- (double)pollingInterval;
- (void)_validateActionForCurrentStyle:(int)arg1;
- (void)_resolveStateWithAction:(int)arg1;
- (id)_currentGrowthAlgorithm;
- (void)_setupTimerForPushWithKeepAliveInterval:(double)arg1;
- (void)_saveWWANKeepAliveInterval:(double)arg1;
- (void)_setupTimerForPoll;
- (void)_setupKeepAliveForReconnect;
- (void)_intervalTimerFired;
- (void)_takePowerAssertion;
- (void)_delayTimerFired;
- (void)_clearTimersReleasingPowerAssertion:(BOOL)arg1;
- (id)_stringForEvent:(int)arg1;
- (void)_releasePowerAssertion;
- (void)logAtLevel:(int)arg1 format:(id)arg2 arguments:(void*)arg3;
- (id)loggingIdentifier;
- (double)minimumKeepAliveInterval;
- (double)maximumKeepAliveInterval;
- (id)_stringForAction:(int)arg1;
- (void)interfaceManagerInHomeCountryStatusChanged:(id)arg1;
- (void)interfaceManagerWWANInterfaceStatusChanged:(id)arg1;
- (void)interfaceManagerInternetReachabilityChanged:(id)arg1;
- (int)currentStyle;
- (double)currentKeepAliveInterval;
- (void)resumeManagerWithAction:(int)arg1;
- (BOOL)shouldClientScheduleReconnectDueToFailure;
- (void)stopManager;
- (void)setMaximumKeepAliveInterval:(double)arg1;
- (void)setMinimumKeepAliveInterval:(double)arg1;
- (void)setKeepAliveGracePeriod:(double)arg1;
- (id)initWithConnectionClass:(int)arg1 delegate:(id)arg2 serviceIdentifier:(id)arg3;
- (void)dealloc;
- (void)setPollingIntervalOverride:(double)arg1;
- (void)startManager;
- (void)setOnlyAllowedStyle:(int)arg1;

@end
