/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PersistentConnection.framework/PersistentConnection
 */

@class NSDate, NSString, NSTimer;

@interface PCPersistentTimer : NSObject <PCLoggingDelegate> {
    double _fireTime;
    double _startTime;
    double _lastUpdateTime;
    double _minimumEarlyFireProportion;
    BOOL _triggerOnGMTChange;
    BOOL _disableSystemWaking;
    NSDate *_scheduledWakeDate;
    NSString *_serviceIdentifier;
    id _target;
    SEL _selector;
    id _userInfo;
    NSTimer *_preventSleepRunLoopTimer;
    NSTimer *_fireRunLoopTimer;
    unsigned int _pmRootDomainConnect;
    unsigned int _pmNotifier;
    struct IONotificationPort { } *_pmNotificationPort;
    struct __CFRunLoopSource { } *_pmRunLoopSource;
    BOOL _sleepIsImminent;
    unsigned int _powerAssertionID;
    id _timeChangeSource;
}

@property(readonly) NSString * loggingIdentifier;
@property BOOL disableSystemWaking;
@property double minimumEarlyFireProportion;

+ (double)currentMachTimeInterval;
+ (id)lastSystemWakeDate;

- (void)invalidate;
- (void)scheduleInRunLoop:(id)arg1;
- (void)setMinimumEarlyFireProportion:(double)arg1;
- (id)initWithFireDate:(id)arg1 serviceIdentifier:(id)arg2 target:(id)arg3 selector:(SEL)arg4 userInfo:(id)arg5;
- (BOOL)disableSystemWaking;
- (double)minimumEarlyFireProportion;
- (id)_initWithAbsoluteTime:(double)arg1 serviceIdentifier:(id)arg2 target:(id)arg3 selector:(SEL)arg4 userInfo:(id)arg5 triggerOnGMTChange:(BOOL)arg6;
- (void)_updateTimers;
- (void)scheduleInRunLoop:(id)arg1 inMode:(id)arg2;
- (void)_preventSleepFired;
- (void)_fireTimerFired;
- (void)_setPowerMonitoringEnabledForRunLoop:(id)arg1 mode:(id)arg2;
- (void)_setSignificantTimeChangeMonitoringEnabledForRunLoop:(id)arg1 mode:(id)arg2;
- (double)_nextForcedAlignmentAbsoluteTime;
- (id)_earlyFireDate;
- (void)_powerChangedMessageType:(unsigned int)arg1 notificationID:(void*)arg2;
- (id)loggingIdentifier;
- (void)interfaceManagerWWANInterfaceChangedPowerState:(id)arg1;
- (void)interfaceManagerWWANInterfaceStatusChanged:(id)arg1;
- (void)interfaceManagerInternetReachabilityChanged:(id)arg1;
- (void)setDisableSystemWaking:(BOOL)arg1;
- (BOOL)isValid;
- (id)initWithTimeInterval:(double)arg1 serviceIdentifier:(id)arg2 target:(id)arg3 selector:(SEL)arg4 userInfo:(id)arg5;
- (id)userInfo;
- (id)debugDescription;
- (void)dealloc;

@end
