/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

@class PLAutoScroller, NSMutableIndexSet, UIGestureRecognizer, PLPhotosPickerSession, NSIndexSet, PLSyncProgressView, UITableView, UILongPressGestureRecognizer, UIView, <PLAlbumViewDataSource>, <PLAlbumViewDelegate>, PLAlbumItemCountView, UITapGestureRecognizer, PLAlbumSelectionControlsView;

@interface PLAlbumView : UIView <UITableViewDataSource, UITableViewDelegate, UIGestureRecognizerDelegate, PLPhotosPickerSessionParticipant> {
    unsigned int _photoCount;
    unsigned int _columnsPerRow;
    struct CGPoint { 
        float x; 
        float y; 
    } _previousContentOffset;
    float _previousOffsetRatio;
    UITableView *_tableView;
    unsigned int _tableViewRowCount;
    <PLAlbumViewDataSource> *_dataSource;
    int _selectionStyle;
    PLPhotosPickerSession *_currentPickerSession;
    UITapGestureRecognizer *_tapRecognizer;
    UIGestureRecognizer *_tapFailedRecognizer;
    unsigned int _photoIndexToBeSelected;
    BOOL _allowsSelectionGestures;
    NSMutableIndexSet *_pendingPhotoReloadIndexes;
    NSMutableIndexSet *_pendingPhotoRemoveIndexes;
    NSMutableIndexSet *_pendingPhotoInsertIndexes;
    unsigned int _pendingUpdates;
    PLAlbumItemCountView *_imageCountView;
    PLSyncProgressView *_syncProgressView;
    PLAlbumSelectionControlsView *_selectionControlsView;
    <PLAlbumViewDelegate> *_delegate;
    NSMutableIndexSet *_selectedPhotoIndexes;
    NSMutableIndexSet *_badgedPhotoIndexes;
    NSMutableIndexSet *_activityIndexes;
    UILongPressGestureRecognizer *_longPressRecognizer;
    unsigned int _calloutBarSelectionIndex;
    BOOL _swipeSelection;
    UIView *_draggedItemView;
    struct CGSize { 
        float width; 
        float height; 
    } _draggedItemOffset;
    unsigned int _dragItemCurrentPhotoIndex;
    PLAutoScroller *_autoscroller;
    struct { 
        unsigned int displayTextBadges : 1; 
        unsigned int canShowCopyCallout : 1; 
        unsigned int usesViewBasedCells : 1; 
        unsigned int allowsReordering : 1; 
        unsigned int delegateCanSelect : 1; 
        unsigned int delegateSelectionDidChange : 1; 
        unsigned int delegateDidTapPhoto : 1; 
        unsigned int delegatePreheatImageData : 1; 
        unsigned int delegateShouldShowPhotoCount : 1; 
    } _albumViewFlags;
}

@property(readonly) unsigned int photoCount;
@property int photoSelectionStyle;
@property BOOL allowsSelectionGestures;
@property(copy) NSIndexSet * selectedPhotoIndexes;
@property(copy) NSIndexSet * badgedPhotoIndexes;
@property(copy) NSIndexSet * activityIndexes;
@property BOOL usesViewBasedCells;
@property BOOL allowsReordering;
@property BOOL displaysTextBadges;
@property BOOL canShowCopyCallout;
@property float bottomInset;
@property <PLAlbumViewDataSource> * dataSource;
@property <PLAlbumViewDelegate> * delegate;
@property(readonly) unsigned int calloutPhotoIndex;
@property(retain) PLPhotosPickerSession * currentPickerSession;


- (void)setBottomInset:(float)arg1;
- (float)bottomInset;
- (void)setFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (void)setDelegate:(id)arg1;
- (void)setAllowsReordering:(BOOL)arg1;
- (id)tableView;
- (void)clearSelection;
- (BOOL)gestureRecognizer:(id)arg1 shouldRecognizeSimultaneouslyWithGestureRecognizer:(id)arg2;
- (void)scrollViewWillBeginDragging:(id)arg1;
- (BOOL)gestureRecognizer:(id)arg1 shouldReceiveTouch:(id)arg2;
- (void)scrollViewDidEndDragging:(id)arg1 willDecelerate:(BOOL)arg2;
- (BOOL)canBecomeFirstResponder;
- (id)delegate;
- (id)dataSource;
- (id)tableView:(id)arg1 cellForRowAtIndexPath:(id)arg2;
- (int)tableView:(id)arg1 numberOfRowsInSection:(int)arg2;
- (void)endUpdates;
- (void)beginUpdates;
- (void)reloadData;
- (void)didMoveToWindow;
- (void)setDataSource:(id)arg1;
- (void)drawRect:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (id)initWithFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (void)setCanShowCopyCallout:(BOOL)arg1;
- (void)scrollToBottom:(BOOL)arg1;
- (unsigned int)calloutPhotoIndex;
- (void)setDisplaysTextBadges:(BOOL)arg1;
- (BOOL)usesViewBasedCells;
- (void)hideActivityOnPhotoAtIndex:(unsigned int)arg1;
- (void)showActivityOnPhotoAtIndex:(unsigned int)arg1;
- (void)setActivityIndexes:(id)arg1;
- (id)activityIndexes;
- (void)debadgePhotoAtIndex:(unsigned int)arg1;
- (void)badgePhotoAtIndex:(unsigned int)arg1;
- (void)setBadgedPhotoIndexes:(id)arg1;
- (id)badgedPhotoIndexes;
- (void)selectPhotoAtIndex:(unsigned int)arg1;
- (void)_changeSelectionOfPhotoAtPoint:(struct CGPoint { float x1; float x2; })arg1 notifyDelegate:(BOOL)arg2;
- (BOOL)isPhotoVisibleAtIndex:(unsigned int)arg1;
- (void)removePhotoAtIndex:(unsigned int)arg1;
- (void)insertPhotoAtIndex:(unsigned int)arg1;
- (void)toggleSelectAll:(id)arg1;
- (void)menuDidHideNotification:(id)arg1;
- (void)_updateTableCell:(id)arg1 photoStartIndex:(unsigned int)arg2;
- (void)setUsesViewBasedCells:(BOOL)arg1;
- (unsigned int)selectedPhotoIndex;
- (void)_selectAfterDelay;
- (void)_tapFailedGesture:(id)arg1;
- (void)_longPressGesture:(id)arg1;
- (void)_tapGesture:(id)arg1;
- (void)deselectPhotoAtIndex:(unsigned int)arg1;
- (void)_changeActivityStateOfPhotoAtIndex:(unsigned int)arg1;
- (void)_changeBadgeStateOfPhotoAtIndex:(unsigned int)arg1;
- (void)_deselectAllPhotosNotifyingDelegate:(id)arg1;
- (void)_selectAllPhotosNotifyingDelegate:(id)arg1;
- (void)setSelectedPhotoIndexes:(id)arg1;
- (void)_updateInstalledGestureRecognizers;
- (void)_changeSelectionOfPhotoAtIndex:(unsigned int)arg1 notifyDelegate:(BOOL)arg2;
- (unsigned int)_photoIndexAtPoint:(struct CGPoint { float x1; float x2; })arg1;
- (void)_updateSelectionControls;
- (unsigned int)_cellPhotoIndexForPhotoIndex:(unsigned int)arg1;
- (unsigned int)_tableRowForPhotoIndex:(unsigned int)arg1;
- (void)_processPendingUpdates;
- (void)_setupTableView;
- (void)_updatePhotoCount;
- (void)_updateColumnsPerRow;
- (BOOL)displaysTextBadges;
- (unsigned int)_leftPaddingForCellWidth:(float)arg1;
- (int)_firstPhotoIndexForRowIndexPath:(id)arg1;
- (struct CGSize { float x1; float x2; })_cellSize;
- (void)_updateTableViewRowCount;
- (void)reloadPhotoAtIndex:(unsigned int)arg1;
- (void)insertPhotosAtIndexes:(id)arg1;
- (void)removePhotosAtIndexes:(id)arg1;
- (unsigned int)photoCount;
- (void)rotationDidStart;
- (void)rotationWillStart;
- (void)setAllowsSelectionGestures:(BOOL)arg1;
- (void)_preheatImageDataForDownwardScroll:(BOOL)arg1;
- (BOOL)allowsSelectionGestures;
- (BOOL)_dragMove:(id)arg1;
- (BOOL)allowsReordering;
- (void)scrollToVisibleItemAtIndex:(unsigned int)arg1 animated:(BOOL)arg2;
- (int)photoSelectionStyle;
- (id)selectedPhotoIndexes;
- (void)setPhotoSelectionStyle:(int)arg1;
- (void)setCurrentPickerSession:(id)arg1;
- (id)currentPickerSession;
- (BOOL)canShowCopyCallout;
- (void)dealloc;
- (void)_updateFooterView;

@end
