/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/PhotoLibrary.framework/PhotoLibrary
 */

@class UIImageView, PLCropOverlayLayer, UIImage, PLCropModel, NSTimer, <PLImageAdjustmentViewDelegate>;

@interface PLImageAdjustmentView : UIView <UIGestureRecognizerDelegate> {
    PLCropModel *_cropModel;
    UIImageView *_imageView;
    PLCropOverlayLayer *_overlayLayer;
    <PLImageAdjustmentViewDelegate> *_delegate;
    UIImage *_editedImage;
    struct UIEdgeInsets { 
        float top; 
        float left; 
        float bottom; 
        float right; 
    } _cropInsets;
    int _gestureCount;
    struct CGAffineTransform { 
        float a; 
        float b; 
        float c; 
        float d; 
        float tx; 
        float ty; 
    } _originalTransform;
    struct CGRect { 
        struct CGPoint { 
            float x; 
            float y; 
        } origin; 
        struct CGSize { 
            float width; 
            float height; 
        } size; 
    } _imageCropRect;
    struct CGRect { 
        struct CGPoint { 
            float x; 
            float y; 
        } origin; 
        struct CGSize { 
            float width; 
            float height; 
        } size; 
    } _previousImageCropRect;
    float _cropAngle;
    float _previousCropAngle;
    float _photoViewScale;
    float _sourceAspectRatio;
    unsigned int _currentCropAction;
    NSTimer *_manualCropTimer;
    float _autoCropScale;
    double _animationDuration;
    unsigned int _isCropMode : 1;
    unsigned int _isAdjustingCropRect : 1;
    unsigned int _isAnimating : 1;
    unsigned int _canRotate : 1;
    unsigned int _needsRecenterImage : 1;
    unsigned int _delegateWillCropImage : 1;
    unsigned int _delegateDidCropImage : 1;
    unsigned int _delegateDidTouchImage : 1;
}

@property(retain) UIImage * editedImage;
@property <PLImageAdjustmentViewDelegate> * delegate;
@property struct UIEdgeInsets { float x1; float x2; float x3; float x4; } cropInsets;
@property(getter=isCropMode) BOOL cropMode;
@property struct CGSize { float x1; float x2; } aspectRatio;


- (float)rotationAngle;
- (void)setRotationAngle:(float)arg1;
- (void)setDelegate:(id)arg1;
- (void)touch:(id)arg1;
- (void)reset;
- (void)_updateImageView;
- (id)imageView;
- (BOOL)gestureRecognizer:(id)arg1 shouldRecognizeSimultaneouslyWithGestureRecognizer:(id)arg2;
- (BOOL)gestureRecognizerShouldBegin:(id)arg1;
- (void)commitAnimations;
- (id)delegate;
- (void)layoutSubviews;
- (id)initWithFrame:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1;
- (id)overlayLayer;
- (float)_minimumImageScale;
- (float)_imageScale;
- (struct CGSize { float x1; float x2; })aspectRatio;
- (struct UIEdgeInsets { float x1; float x2; float x3; float x4; })cropInsets;
- (float)computeScaleToFillRelativeToPointInImage:(struct CGPoint { float x1; float x2; })arg1;
- (void)setNeedsRecenterImage;
- (void)_updateGestureRecognizers;
- (struct CGPoint { float x1; float x2; })convertPointFromImage:(struct CGPoint { float x1; float x2; })arg1;
- (BOOL)_updateCropRect;
- (BOOL)_updateCropAngle;
- (void)_cropTimer:(id)arg1;
- (void)_performCropAction:(int)arg1 location:(struct CGPoint { float x1; float x2; })arg2;
- (int)cropActionForPoint:(struct CGPoint { float x1; float x2; })arg1;
- (void)_endCropGesture:(id)arg1;
- (void)_beginCropGesture:(id)arg1;
- (void)crop:(id)arg1;
- (void)pan:(id)arg1;
- (void)scale:(id)arg1;
- (void)rotate:(id)arg1;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })_maxOverlayCropRect;
- (void)_updateOverlayCropRect;
- (BOOL)_isInCropGesture;
- (id)editedImage;
- (void)showIndicatorAtPointInImage:(struct CGPoint { float x1; float x2; })arg1 duration:(double)arg2;
- (void)removeProgressIndicatorAtLocation:(struct CGPoint { float x1; float x2; })arg1;
- (void)displayProgressIndicatorAtLocation:(struct CGPoint { float x1; float x2; })arg1;
- (void)setAspectRatio:(struct CGSize { float x1; float x2; })arg1;
- (struct CGPoint { float x1; float x2; })convertPointToImage:(struct CGPoint { float x1; float x2; })arg1;
- (float)previousCropAngle;
- (float)cropAngle;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })previousCropRect;
- (void)setCropRect:(struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })arg1 cropAngle:(float)arg2;
- (void)replaceEditedImage:(id)arg1;
- (void)setEditedImage:(id)arg1;
- (void)removeProgressIndicators;
- (BOOL)isDisplayingProgressIndicators;
- (void)setCropInsets:(struct UIEdgeInsets { float x1; float x2; float x3; float x4; })arg1;
- (BOOL)isCropMode;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })overlayCropRect;
- (void)setCropMode:(BOOL)arg1;
- (void)beginAnimation:(double)arg1;
- (struct CGRect { struct CGPoint { float x_1_1_1; float x_1_1_2; } x1; struct CGSize { float x_2_1_1; float x_2_1_2; } x2; })cropRect;
- (void)dealloc;

@end
