/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/Stocks.framework/Stocks
 */

@class UIView, NSString, StockChartData, NSURL;

@interface Stock : NSObject  {
    NSString *symbol;
    NSString *companyName;
    NSString *shortCompanyName;
    NSString *exchange;
    NSString *realtimeTimestamp;
    NSString *realtimePrice;
    NSString *realtimeChange;
    NSString *nonRealtimePrice;
    NSString *nonRealtimeChange;
    NSString *open;
    NSString *high;
    NSString *low;
    NSString *yearHigh;
    NSString *yearLow;
    NSString *volume;
    NSString *averageVolume;
    NSString *marketcap;
    NSString *peRatio;
    NSString *dividendYield;
    NSURL *infoURL;
    BOOL _marketIsOpen;
    unsigned int pricePrecision;
    BOOL usesAlternativeDataSource;
    double timeQuoteLastUpdated;
    double timeMetadataLastUpdated;
    StockChartData *_chartDataArray[7];
    UIView *_rowView;
    int _rowViewDataType;
}

@property(readonly) NSString * price;
@property(readonly) NSString * change;
@property double timeMetadataLastUpdated;
@property double timeQuoteLastUpdated;
@property int rowViewDataType;
@property BOOL usesAlternativeDataSource;
@property(readonly) unsigned int pricePrecision;
@property(retain) NSURL * infoURL;
@property(retain) NSString * dividendYield;
@property(retain) NSString * peRatio;
@property(retain) NSString * marketcap;
@property(retain) NSString * averageVolume;
@property(retain) NSString * volume;
@property(retain) NSString * yearLow;
@property(retain) NSString * yearHigh;
@property(retain) NSString * low;
@property(retain) NSString * high;
@property(retain) NSString * open;
@property(retain) NSString * nonRealtimeChange;
@property(retain) NSString * nonRealtimePrice;
@property(retain) NSString * realtimeChange;
@property(retain) NSString * realtimePrice;
@property(retain) NSString * realtimeTimestamp;
@property(retain) NSString * exchange;
@property(retain) NSString * shortCompanyName;
@property(retain) NSString * companyName;
@property(retain) NSString * symbol;

+ (void)saveChanges;
+ (void)initialize;
+ (id)urlForStock:(id)arg1;
+ (id)stockForURL:(id)arg1;
+ (id)formattedStringForString:(id)arg1 fractionDigits:(unsigned int)arg2 percentStyle:(BOOL)arg3;
+ (BOOL)localeUsesASCIIDigits;
+ (id)localizedMagnitudeAbbreviatedStringWithString:(id)arg1;
+ (void)setListStocks:(id)arg1;
+ (void)flushStocks;
+ (id)gtDataSourceStocks;
+ (void)addStock:(id)arg1;
+ (void)removeStock:(id)arg1;
+ (void)moveStockFromIndex:(int)arg1 toIndex:(int)arg2;
+ (void)clearCachedChartDataImageSets;
+ (BOOL)anyPriceIsRealtime;
+ (BOOL)anyMarketOpenWithRealtimePrice;
+ (BOOL)anyMarketOpen;
+ (void)_checkForAddedStocks;
+ (id)stockWithSymbol:(id)arg1;
+ (id)formattedStringForNumber:(id)arg1 fractionDigits:(unsigned int)arg2 percentStyle:(BOOL)arg3 groupingSeparators:(BOOL)arg4;
+ (id)BlankValueString;
+ (void)resetLocale;
+ (id)postfixCharacterForEngineeringMagnitude:(unsigned int)arg1;
+ (id)formattedStringForNumber:(id)arg1 fractionDigits:(unsigned int)arg2 percentStyle:(BOOL)arg3;
+ (id)localizedMagnitudeAbbreviatedStringWithString:(id)arg1 fractionDigits:(unsigned int)arg2;
+ (id)_localeStocks;
+ (void)clearCachedChartData;
+ (void)handleSyncedDataChanged:(id)arg1;
+ (id)_defaultStockDictionaries;
+ (void)startObservers;
+ (id)makeSyncableStockListFromList:(id)arg1;
+ (BOOL)setLocalStockListFromSyncableStockList:(id)arg1;
+ (void)_loadStocksFromDefaults;
+ (void)stopObservers;
+ (void)_createGTStocksArrays;
+ (void)RemoveChartDataFromLRU:(id)arg1;
+ (void)DeleteChartData:(id)arg1;
+ (void)UpdateChartDataInLRU:(id)arg1;
+ (void)clearCachedRowViews;
+ (id)_potentiallyAbsentKeys;
+ (id)listStocks;
+ (id)nonGTDataSourceStocks;

- (id)archiveDictionary;
- (void)setHigh:(id)arg1;
- (void)setLow:(id)arg1;
- (id)symbol;
- (id)change;
- (id)price;
- (id)open;
- (void)setOpen:(id)arg1;
- (id)volume;
- (void)setVolume:(id)arg1;
- (id)initWithDictionary:(id)arg1;
- (id)high;
- (id)low;
- (BOOL)changeIsNegative;
- (BOOL)changeIsZero;
- (id)chartDataForInterval:(int)arg1;
- (void)clearCachedGraphImageSets;
- (void)setRowView:(id)arg1 withDataType:(int)arg2;
- (id)rowView;
- (void)updateQuoteWithDictionary:(id)arg1 forTime:(double)arg2;
- (void)updateMetadataWithDictionary:(id)arg1 forTime:(double)arg2;
- (void)setTimeMetadataLastUpdated:(double)arg1;
- (double)timeQuoteLastUpdated;
- (void)setTimeQuoteLastUpdated:(double)arg1;
- (int)rowViewDataType;
- (void)setRowViewDataType:(int)arg1;
- (void)setUsesAlternativeDataSource:(BOOL)arg1;
- (unsigned int)pricePrecision;
- (id)dividendYield;
- (id)peRatio;
- (id)marketcap;
- (id)averageVolume;
- (id)yearLow;
- (id)yearHigh;
- (id)nonRealtimeChange;
- (id)nonRealtimePrice;
- (id)realtimeChange;
- (id)realtimePrice;
- (id)realtimeTimestamp;
- (id)exchange;
- (void)resetLocale;
- (double)timeMetadataLastUpdated;
- (BOOL)usesAlternativeDataSource;
- (void)setChartData:(id)arg1 forInterval:(int)arg2;
- (BOOL)priceIsRealtime;
- (BOOL)marketIsOpen;
- (id)listName;
- (id)formattedPrice;
- (void)setSymbol:(id)arg1;
- (void)setYearHigh:(id)arg1;
- (void)setYearLow:(id)arg1;
- (void)setAverageVolume:(id)arg1;
- (void)setMarketcap:(id)arg1;
- (void)setPeRatio:(id)arg1;
- (void)setDividendYield:(id)arg1;
- (void)setRealtimeTimestamp:(id)arg1;
- (void)setRealtimePrice:(id)arg1;
- (void)setRealtimeChange:(id)arg1;
- (void)setNonRealtimePrice:(id)arg1;
- (void)setNonRealtimeChange:(id)arg1;
- (void)_updatePricePrecision;
- (id)formattedChangePercent:(BOOL)arg1;
- (float)changeFloatPercent:(BOOL)arg1;
- (BOOL)isIndex;
- (void)clearRowView;
- (void)setExchange:(id)arg1;
- (void)setShortCompanyName:(id)arg1;
- (id)shortCompanyName;
- (id)description;
- (void)dealloc;
- (id)companyName;
- (void)setCompanyName:(id)arg1;
- (id)infoURL;
- (void)setInfoURL:(id)arg1;

@end
