/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/ToneLibrary.framework/ToneLibrary
 */

@class NSMutableDictionary, NSDictionary;

@interface TLToneManager : NSObject  {
    NSMutableDictionary *_iTunesTonesByIdentifier;
    NSMutableDictionary *_textTonesByIdentifier;
    NSMutableDictionary *_iTunesIdentifiersByPID;
    NSDictionary *_previewBehaviorForDefaultIdentifier;
    NSDictionary *_identifierAliasMap;
    id _delegate;
    BOOL _observingChangeNotifications;
    BOOL _hasAdditionalTextTones;
}

+ (BOOL)migrateLegacyToneSettings;
+ (BOOL)identifierIsTextTone:(id)arg1;
+ (id)sharedRingtoneManager;

- (unsigned long)currentSentTweetToneSoundID;
- (unsigned long)currentNewReminderAlertToneSoundID;
- (unsigned long)currentNewCalendarAlertToneSoundID;
- (unsigned long)currentNewVoicemailToneSoundID;
- (id)currentSentTweetToneIdentifier;
- (id)currentReminderAlertToneIdentifier;
- (id)currentCalendarAlertToneIdentifier;
- (id)currentNewVoicemailToneIdentifier;
- (id)defaultSentTweetToneIdentifier;
- (id)defaultReminderAlertToneIdentifier;
- (id)defaultCalendarAlertToneIdentifier;
- (id)defaultNewVoicemailToneIdentifier;
- (id)defaultSentMailToneIdentifier;
- (id)defaultNewMailToneIdentifier;
- (BOOL)transferPurchasedToITunes:(id)arg1;
- (id)installedTones;
- (void)deleteAllSyncedData;
- (id)iTunesToneForPID:(id)arg1;
- (BOOL)deleteSyncedToneByPID:(id)arg1;
- (BOOL)insertPurchasedToneMetadata:(id)arg1 filename:(id)arg2;
- (BOOL)insertSyncedToneMetadata:(id)arg1 filename:(id)arg2;
- (void)setHasAdditionalTextTones:(BOOL)arg1;
- (unsigned long)createPreviewSoundIDForToneIdentifier:(id)arg1;
- (unsigned long)soundIDForTextToneIdentifier:(id)arg1;
- (id)aliasForIdentifier:(id)arg1;
- (int)previewBehaviorForDefaultIdentifier:(id)arg1;
- (id)defaultTextToneName;
- (void)setCurrentRingtoneIdentifier:(id)arg1;
- (void)setCurrentTextToneIdentifier:(id)arg1;
- (id)copyCurrentTextToneName;
- (id)ITunesRingtoneInformationPlist;
- (id)deviceITunesRingtoneInformationPlist;
- (BOOL)isToneProtectedWithIdentifier:(id)arg1;
- (unsigned int)durationOfToneWithIdentifier:(id)arg1;
- (BOOL)isAlertTone:(id)arg1;
- (BOOL)isRingtonePurchased:(id)arg1;
- (id)newAVItemWithRingtoneIdentifier:(id)arg1;
- (id)currentRingtoneName;
- (id)currentRingtoneIdentifier;
- (void)_deviceRingtonesChangedNotification;
- (void)clearOldToneSettings;
- (BOOL)shouldShowAlarmSounds;
- (BOOL)shouldShowRingtones;
- (id)copyIdentifierForRingtoneAtPath:(id)arg1 isValid:(BOOL*)arg2;
- (int)_lockManifest:(id)arg1;
- (BOOL)_removeToneFromManifest:(id)arg1 fileName:(id)arg2 deletedMetadata:(id*)arg3;
- (BOOL)_addToneToManifest:(id)arg1 metadata:(id)arg2 fileName:(id)arg3 mediaDirectory:(id)arg4;
- (unsigned long)soundIDForToneIdentifier:(id)arg1;
- (unsigned long)previewSoundIDForTextToneIdentifier:(id)arg1;
- (unsigned long)_soundIDForSystemTone:(id)arg1 isValid:(BOOL*)arg2;
- (unsigned long)soundIDForToneIdentifier:(id)arg1 isValid:(BOOL*)arg2;
- (id)nullTextToneName;
- (unsigned long)_currentToneSoundID:(id)arg1 defaultIdentifier:(id)arg2;
- (id)_defaultToneName:(int)arg1;
- (id)copyCurrentTextToneIdentifier;
- (id)defaultTextToneIdentifier;
- (id)copyPathOfRingtoneWithIdentifier:(id)arg1;
- (id)localizedRingtoneNameWithIdentifier:(id)arg1;
- (id)copyNameOfTextToneWithIdentifier:(id)arg1 isValid:(BOOL*)arg2;
- (id)systemNewSoundDirectory;
- (id)systemSoundDirectory;
- (id)systemRingtoneDirectory;
- (id)pathFromIdentifier:(id)arg1 withPrefix:(id)arg2;
- (id)defaultRingtonePath;
- (id)copyPathOfRingtoneWithIdentifier:(id)arg1 isValid:(BOOL*)arg2;
- (id)copyNameOfIdentifier:(id)arg1 isValid:(BOOL*)arg2;
- (id)copyNameOfRingtoneWithIdentifier:(id)arg1 isValid:(BOOL*)arg2;
- (id)localizedNameWithIdentifier:(id)arg1;
- (id)_defaultToneIdentifier:(int)arg1;
- (id)copyCurrentRingtoneName;
- (id)copyCurrentRingtoneIdentifier;
- (id)defaultRingtoneIdentifier;
- (id)defaultRingtoneName;
- (void)_reloadITunesRingtonesAfterExternalChange;
- (id)deviceITunesRingtoneDirectory;
- (id)_copyITunesRingtonesFromManifestPath:(id)arg1 mediaDirectoryPath:(id)arg2;
- (id)iTunesRingtoneDirectory;
- (BOOL)isValidToneIdentifier:(id)arg1;
- (void)fixupMissingToneSettings;
- (void)loadTextToneInfo;
- (void)loadITunesRingtoneInfoPlistAtPath:(id)arg1;
- (id)initWithITunesRingtonePlistAtPath:(id)arg1 registerForChangeNotifications:(BOOL)arg2;
- (void)setDelegate:(id)arg1;
- (id)rootDirectory;
- (void)importTone:(id)arg1 metadata:(id)arg2 completionBlock:(id)arg3;
- (unsigned long)soundIDForTextToneIdentifier:(id)arg1 isValid:(BOOL*)arg2;
- (unsigned long)currentTextToneSoundID;
- (id)initWithChangeNotifications:(BOOL)arg1;
- (id)currentNewMailToneIdentifier;
- (unsigned long)currentNewMailToneSoundID;
- (id)currentSentMailToneIdentifier;
- (unsigned long)currentSentMailToneSoundID;
- (id)init;
- (void)dealloc;
- (BOOL)ensureDirectoryExists:(id)arg1;
- (BOOL)hasAdditionalTextTones;
- (BOOL)toneWithIdentifierIsValid:(id)arg1;
- (id)copyNameOfRingtoneWithIdentifier:(id)arg1;

@end
