/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/VisualVoicemail.framework/VisualVoicemail
 */

@class NSError, NSString, NSRecursiveLock, NSTimer;

@interface VVService : NSObject  {
    NSRecursiveLock *_lock;
    unsigned int _capabilities;
    int _mailboxUsage;
    double _trashCompactionAge;
    unsigned int _unreadCount;
    unsigned int _trashedCount;
    NSError *_passwordError;
    NSError *_activationError;
    NSString *_password;
    NSString *_passwordMailboxName;
    struct __CFArray { } *_retryIntervals;
    NSTimer *_retryTimer;
    NSTimer *_trashCompactionTimer;
    NSTimer *_notificationFallbackTimer;
    struct __CFDate { } *_notificationFallbackWakeDate;
    struct __CFDate { } *_nextRetryWakeDate;
    struct __CFDate { } *_nextTrashCompactionWakeDate;
    int _retryIntervalIndex;
    unsigned int _pmNotifier;
    struct IONotificationPort { } *_pmNotifierPort;
    unsigned int _pmRootPort;
    struct __CFRunLoopSource { } *_pmRunLoopSource;
    id _carrierParameters;
    Class _notificationInterpreter;
    struct { 
        unsigned int offline : 1; 
        unsigned int subscribed : 1; 
        unsigned int initialSetupRequired : 1; 
        unsigned int fakeInitialSetup : 1; 
        unsigned int launchedWithFakeInitialSetup : 1; 
        unsigned int mwiState : 1; 
        unsigned int notificationFallbackEnabled : 1; 
        unsigned int capabilitiesLoaded : 1; 
    } _serviceFlags;
}

+ (void)setInsomniaEnabled:(BOOL)arg1;
+ (id)sharedService;
+ (BOOL)sharedServiceIsSubscribed;
+ (void)_handleSIMChange;
+ (void)_resetInsomniaState;
+ (void)_suppressInsomniaState;
+ (void)_setInsomniaState:(BOOL)arg1;
+ (void)initialize;

- (void)clearRemoteUIDsForDetachedMessages;
- (BOOL)shouldTrashCompactRecord:(void*)arg1;
- (void)setMailboxUsage:(int)arg1;
- (BOOL)isInSync;
- (void)handleNotification:(id)arg1 isMWI:(BOOL)arg2;
- (int)maximumGreetingDuration;
- (int)maximumRecordedNameDuration;
- (int)minimumPasswordLength;
- (int)maximumPasswordLength;
- (int)mailboxGreetingType;
- (BOOL)shouldScheduleAutoTrashOnMailboxUsageChange;
- (BOOL)taskOfTypeExists:(int)arg1;
- (BOOL)headerChangesPending;
- (BOOL)dataForRecordPending:(void*)arg1 progressiveLoadInProgress:(BOOL*)arg2;
- (BOOL)greetingFetchExistsProgressiveLoadInProgress:(BOOL*)arg1;
- (void)retrieveDataForRecord:(void*)arg1;
- (void)changePassword:(id)arg1 fromPassword:(id)arg2;
- (void)retrieveGreeting;
- (void)handlePasswordRequestCancellation;
- (void)kill;
- (void)removeAllNonDetachedRecords;
- (void)setOnline:(BOOL)arg1;
- (void)synchronize:(BOOL)arg1;
- (void)displayPasswordRequestIfNecessary;
- (BOOL)mailboxRequiresSetup;
- (void)scheduleAutomatedTrashCompaction;
- (void)setMailboxRequiresSetup:(BOOL)arg1;
- (void)resetDelayedSynchronizationAttemptCount;
- (void)cancelDelayedSynchronize;
- (void)updateCountsForChangedFlags:(int)arg1 currentRecordFlags:(int)arg2;
- (void)resetCounts;
- (void)progressiveDataLengthsForRecord:(void*)arg1 expected:(unsigned int*)arg2 current:(unsigned int*)arg3;
- (void)setGreetingType:(int)arg1 withData:(id)arg2 duration:(unsigned int)arg3;
- (void)moveRecordToTrash:(void*)arg1;
- (void)moveRecordFromTrash:(void*)arg1;
- (void)scheduleDelayedSynchronize;
- (void)cancelAutomatedTrashCompaction;
- (void)cancelPasswordRequest;
- (unsigned int)trashedCount;
- (void)updateLoggingSettings;
- (BOOL)isOfflineDueToRoaming;
- (id)activationError;
- (void)clearActivationError;
- (id)provisionalPassword;
- (void)handlePasswordNotificationResponse:(struct __CFUserNotification { }*)arg1 flags:(unsigned long)arg2;
- (BOOL)passwordChangeRequiresEnteringOldPassword;
- (id)carrierParameterValueForKey:(id)arg1;
- (BOOL)greetingAvailable;
- (void)setMessageWaiting:(BOOL)arg1;
- (void)cancelNotificationFallback;
- (void)_contextActivationFailed:(id)arg1;
- (void)_contextActivationSucceeded:(id)arg1;
- (void)handleDataContextDeactivated;
- (void)_updateOnlineStatusWithDataStatusDict:(struct __CFDictionary { }*)arg1;
- (void)_setActivationError:(id)arg1;
- (BOOL)sharedSubscriptionRequiresSetup;
- (void)setProvisionalPassword:(id)arg1;
- (void)_scheduleFallbackTimerIfNecessary;
- (int)mailboxUsage;
- (BOOL)isOnline;
- (void)setTrashedCount:(unsigned int)arg1;
- (void)_setOnline:(BOOL)arg1 fallbackMode:(BOOL)arg2;
- (BOOL)_isOfflineDueToRoamingWithDataStatusDict:(struct __CFDictionary { }*)arg1;
- (void)_handleCallStatusChange:(struct __CFDictionary { }*)arg1;
- (void)_deregisterForPowerEventsIfNecessary;
- (BOOL)isMessageWaiting;
- (void)_deliverFallbackNotification;
- (void)_enterFallbackMode:(id)arg1;
- (void)_registerForPowerEventsIfNecessary;
- (void)_reactToIndicator;
- (BOOL)respectsMWINotifications;
- (void)_cancelIndicatorAction;
- (Class)notificationInterpreterClass;
- (void)handleIndicatorNotification:(struct __CFDictionary { }*)arg1;
- (id)passwordIgnoringSubscription:(BOOL)arg1;
- (void)_attemptDelayedSynchronize;
- (void)_attemptScheduledTrashCompaction;
- (struct __CFArray { }*)_retryIntervals;
- (void)_scheduleAutomatedTrashCompaction;
- (BOOL)doesClientManageTrashCompaction;
- (double)trashCompactionAge;
- (void)_cancelAutomatedTrashCompaction;
- (BOOL)doTrashCompaction;
- (id)mailboxName;
- (void)setUnreadCount:(unsigned int)arg1;
- (struct __CFString { }*)connectionServiceType;
- (unsigned int)unreadCount;
- (void)setPassword:(id)arg1;
- (void)reportError:(id)arg1;
- (void)setSubscribed:(BOOL)arg1;
- (BOOL)isSubscribed;
- (id)password;
- (id)init;
- (void)dealloc;
- (unsigned int)capabilities;
- (void)removeAllRecords;

@end
