/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/iPodUI.framework/iPodUI
 */

@class IUVariableCellConfigurationCache, IUActionRowDataSource, NSString, IUMediaListAggregateViewConfiguration, UIColor, IUSectionInfo;

@interface IUMediaListDataSource : IUMediaDataSource  {
    Class _cellConfigurationClass;
    IUVariableCellConfigurationCache *_configurationCache;
    IUMediaListAggregateViewConfiguration *_aggregateViewConfiguration;
    unsigned int _createdGlobalContexts : 1;
    unsigned int _hasCachedActionState : 1;
    unsigned int _loadedAggregateViewConfiguration : 1;
    IUActionRowDataSource *_prefixActionRows;
    IUSectionInfo *_sectionInfo;
    IUActionRowDataSource *_suffixActionRows;
}

@property(readonly) unsigned int count;
@property(readonly) BOOL hasPlayableItems;
@property(readonly) NSString * countStringFormat;
@property(readonly) int initialSelectedIndex;
@property(readonly) int initialVisibleIndex;
@property(readonly) float rowHeight;
@property(readonly) BOOL skipSingleItemLists;
@property(getter=isEmpty,readonly) BOOL empty;
@property(getter=isEmptyAfterFiltering,readonly) BOOL emptyAfterFiltering;
@property Class cellConfigurationClass;
@property(readonly) struct CGSize { float x1; float x2; } thumbnailSize;
@property(readonly) struct CGPoint { float x1; float x2; } actualImageOrigin;
@property(readonly) UIColor * gridBackgroundColor;
@property(readonly) UIColor * gridAlbumFillColor;
@property(readonly) UIColor * gridTitleColor;
@property(readonly) UIColor * gridSubtitleColor;
@property(readonly) float gridHorizontalSpacing;
@property(readonly) Class gridImageModifierClass;
@property(readonly) int gridImageContentMode;
@property(readonly) float gridTopPadding;
@property(readonly) BOOL gridDimTouchedAlbum;
@property(readonly) int gridTitleStyle;
@property(readonly) BOOL gridUseUnmodifiedThumbnails;
@property(readonly) BOOL gridDrawShadows;
@property(readonly) BOOL gridOverlapIndexBar;
@property(readonly) IUActionRowDataSource * prefixActionRows;
@property(readonly) IUActionRowDataSource * suffixActionRows;
@property(readonly) unsigned int countOfActionRows;
@property(readonly) BOOL hasActionRowsEvenWhenNoOtherRowsExist;
@property(retain) IUSectionInfo * sectionInfo;
@property(readonly) unsigned int numberOfSections;
@property(readonly) float sectionTitleLeftPadding;
@property(readonly) BOOL shouldShowGlobalSectionHeader;
@property(readonly) BOOL allowsDeletion;
@property(readonly) BOOL allowsRearrange;
@property(readonly) BOOL allowsDownloadingAllEntities;


- (id)sectionInfo;
- (void)invalidate;
- (float)rowHeight;
- (unsigned int)numberOfSections;
- (BOOL)isEmpty;
- (void)reloadData;
- (void)clearCachedActionState;
- (void)cacheActionStateForActionWithContext:(id)arg1;
- (BOOL)shouldDrawAsDisabledForIndex:(unsigned int)arg1;
- (BOOL)isEmptyAfterFiltering;
- (id)selectionConfirmationAlertForIndex:(unsigned int)arg1;
- (void)reloadIsEmpty;
- (BOOL)gridTitleVisibleAtIndex:(unsigned int)arg1;
- (BOOL)gridOverlapIndexBar;
- (BOOL)gridDrawShadows;
- (BOOL)gridDimTouchedAlbum;
- (BOOL)gridUseUnmodifiedThumbnails;
- (float)gridTopPadding;
- (int)gridImageContentMode;
- (Class)gridImageModifierClass;
- (float)gridHorizontalSpacing;
- (id)gridSubtitleColor;
- (id)gridTitleColor;
- (id)gridAlbumFillColor;
- (id)gridBackgroundColor;
- (unsigned int)destinationIndexForMovingIndex:(unsigned int)arg1 toIndex:(unsigned int)arg2;
- (BOOL)deleteIndex:(unsigned int)arg1;
- (id)countStringFormat;
- (id)aggregateTableHeaderViewConfiguration;
- (BOOL)canMoveIndex:(unsigned int)arg1;
- (BOOL)allowsDownloadingAllEntities;
- (void)resetAggregateTableHeaderViewConfiguration;
- (BOOL)skipSingleItemLists;
- (BOOL)selectionPossibleForIndex:(unsigned int)arg1;
- (id)titleOfSectionAtIndex:(unsigned int)arg1;
- (int)initialVisibleIndex;
- (unsigned int)indexOfSectionAtIndex:(unsigned int)arg1;
- (int)gridTitleStyle;
- (id)contextForContext:(id)arg1 redirectType:(int)arg2;
- (BOOL)shouldDisplayWhenEmpty;
- (void)reloadSectionInfo;
- (void)reloadDataWithCompletionHandler:(id)arg1;
- (void)setSectionInfo:(id)arg1;
- (BOOL)canDeleteIndex:(unsigned int)arg1;
- (void)unloadReloadableData;
- (BOOL)moveIndex:(unsigned int)arg1 toIndex:(unsigned int)arg2;
- (BOOL)deleteIndexesInRange:(struct _NSRange { unsigned int x1; unsigned int x2; })arg1;
- (id)deleteConfirmationAlertViewForIndex:(unsigned int)arg1;
- (id)deleteConfirmationSheetForIndex:(unsigned int)arg1;
- (BOOL)allowsRearrange;
- (id)suffixActionRows;
- (BOOL)indexIsActionRow:(unsigned int)arg1;
- (void)createGlobalContexts;
- (id)viewControllerContextForActionRow:(id)arg1;
- (id)viewControllerContextForIndex:(unsigned int)arg1;
- (BOOL)deleteRemovesEntireGroup;
- (BOOL)allowsDeletion;
- (unsigned int)removeActionRowWithTag:(int)arg1;
- (id)actionRowAtIndex:(unsigned int)arg1;
- (unsigned int)indexOfActionRowWithTag:(int)arg1;
- (id)newGridImageView;
- (struct CGPoint { float x1; float x2; })actualImageOrigin;
- (struct CGSize { float x1; float x2; })thumbnailSize;
- (BOOL)shouldShowGlobalSectionHeader;
- (float)sectionTitleLeftPadding;
- (void)reloadActionRows;
- (BOOL)hasActionRowsEvenWhenNoOtherRowsExist;
- (int)mediaDisclosureStyleForIndex:(unsigned int)arg1;
- (id)cellConfigurationForIndex:(unsigned int)arg1 artworkLoadingCompletionHandler:(id)arg2;
- (id)accessoryViewForIndex:(unsigned int)arg1;
- (id)prefixActionRows;
- (unsigned int)countOfActionRows;
- (BOOL)hasPlayableItems;
- (unsigned int)count;
- (id)init;
- (void)dealloc;
- (int)initialSelectedIndex;
- (void)setCellConfigurationClass:(Class)arg1;
- (Class)cellConfigurationClass;

@end
