/* Generated by RuntimeBrowser.
   Image: /System/Library/PrivateFrameworks/iPodUI.framework/iPodUI
 */

@class IUMediaDataSource, NSArray, MPMediaQuery, NSMutableArray, MPMediaLibrary;

@interface IUMediaQueriesDataSource : IUMediaListDataSource  {
    NSArray *_queries;
    MPMediaLibrary *_mediaLibrary;
    NSMutableArray *_queriesEntities;
    NSArray *_queriesBeforeFiltering;
    IUMediaDataSource *_dataSourceForFiltering;
    BOOL _hasQueriesAreEmpty;
    BOOL _queriesAreEmpty;
    unsigned long long _nowPlayingItemPersistentID;
    int _invalidationBehavior;
    unsigned int _reloading : 1;
    unsigned int _queriesEntitiesChanged : 1;
    unsigned int _hasPendingDynamicChanges : 1;
    unsigned int _hasPendingDefaultLibraryChanges : 1;
    unsigned int _hasPendingLibraryChanges : 1;
}

@property(retain) NSArray * queries;
@property(copy) MPMediaQuery * query;
@property(retain) MPMediaLibrary * mediaLibrary;
@property int invalidationBehavior;
@property(readonly) unsigned long long nowPlayingItemPersistentID;
@property(readonly) BOOL matchesNowPlayingQuery;
@property(readonly) unsigned int requiredEntityCountForSections;
@property(readonly) BOOL showShuffleButtonWhenApplicable;
@property(readonly) BOOL alwaysGroupedInGridView;
@property(readonly) BOOL shouldLoadLocalImagesSynchronously;

+ (id)queryItemPropertiesToFetch;
+ (id)newDataSourceWithQuery:(id)arg1;
+ (id)newDataSourceWithSpecifier:(id)arg1;
+ (id)selectionConfirmationAlertForEntity:(id)arg1;
+ (Class)cellConfigurationClassForSongs;
+ (id)queryCollectionPropertiesToFetch;
+ (int)mediaEntityType;
+ (BOOL)usesNowPlayingIndicator;
+ (id)_imageCache;

- (void)setQuery:(id)arg1;
- (void)_mediaLibraryDynamicPropertiesDidChangeNotification:(id)arg1;
- (void)invalidate;
- (void)_applicationWillEnterForeground:(id)arg1;
- (float)rowHeight;
- (BOOL)isEmpty;
- (id)query;
- (void)reloadData;
- (id)entityAtIndex:(unsigned int)arg1;
- (unsigned long long)nowPlayingItemPersistentID;
- (void)setInvalidationBehavior:(int)arg1;
- (int)invalidationBehavior;
- (void)setArtAStillFrame:(BOOL)arg1 atIndex:(unsigned int)arg2;
- (BOOL)alwaysGroupedInGridView;
- (id)copyGetMoreFromITunesStoreActionRow;
- (unsigned int)indexOfPersistentID:(unsigned long long)arg1;
- (unsigned int)indexOfEntity:(id)arg1;
- (id)_newContextForCopyWithIdentifier:(id)arg1;
- (void)_addPrefixActionRow:(id)arg1;
- (void)_getMoreAction:(id)arg1;
- (id)bestStoreURL;
- (id)_getMoreURLForMediaType:(int)arg1;
- (id)_newGetMoreActionRowForMediaType:(int)arg1;
- (BOOL)matchesNowPlayingQuery;
- (void)_handleDefaultMediaLibraryDidChange;
- (void)_handleTrackDynamicPropertiesChanged;
- (void)_handleMediaLibraryDidChange;
- (BOOL)selectionPossibleForActionRow:(id)arg1;
- (id)_newContextForShuffle;
- (id)_newContextForAllSongs;
- (id)_newContextForAllAlbums;
- (void)_addDefaultOnTheGoActionRows;
- (void)_addDefaultNormalActionRows;
- (id)playbackContextForQuery:(id)arg1 entityIndex:(unsigned int)arg2;
- (id)entityAtIndex:(unsigned int)arg1 localEntityIndex:(unsigned int*)arg2 localEntityCount:(unsigned int*)arg3 query:(id*)arg4;
- (void)reloadNowPlayingItemPersistentID;
- (void)_reloadFilteredQueries;
- (void)_setQueriesEntities:(id)arg1;
- (id)_copyReloadedQueriesEntitiesForQueries:(id)arg1 library:(id)arg2;
- (void)_defaultMediaLibraryDidChangeNotification:(id)arg1;
- (void)_appDefaultsDidChangeNotification:(id)arg1;
- (BOOL)shouldDrawAsDisabledForIndex:(unsigned int)arg1;
- (BOOL)isEmptyAfterFiltering;
- (id)selectionConfirmationAlertForIndex:(unsigned int)arg1;
- (void)reloadIsEmpty;
- (id)countStringFormat;
- (BOOL)skipSingleItemLists;
- (BOOL)selectionPossibleForIndex:(unsigned int)arg1;
- (BOOL)filterUsingDataSource:(id)arg1;
- (BOOL)isFiltered;
- (id)viewControllerContextForSearchCompletion;
- (void)reloadQueriesEntities;
- (void)reloadSectionInfo;
- (void)reloadDataWithCompletionHandler:(id)arg1;
- (BOOL)isRestorableNavigationPathNode;
- (BOOL)canDeleteIndex:(unsigned int)arg1;
- (BOOL)showShuffleButtonWhenApplicable;
- (BOOL)deleteIndexesInRange:(struct _NSRange { unsigned int x1; unsigned int x2; })arg1;
- (id)entitiesForQuery:(id)arg1;
- (id)deleteConfirmationAlertViewForIndex:(unsigned int)arg1;
- (id)deleteConfirmationSheetForIndex:(unsigned int)arg1;
- (id)queryForDrillingIntoRowAtIndex:(unsigned int)arg1;
- (id)playbackContextForIndex:(unsigned int)arg1;
- (id)viewControllerContextForActionRow:(id)arg1;
- (void)appDefaultsChanged;
- (void)setQueries:(id)arg1;
- (unsigned int)requiredEntityCountForSections;
- (Class)cellConfigurationClassForEntity:(id)arg1;
- (id)queryForIndex:(unsigned int)arg1 localEntityIndex:(unsigned int*)arg2;
- (BOOL)shouldLoadLocalImagesSynchronously;
- (void)invalidateDynamicTrackCaches;
- (void)reloadActionRows;
- (int)mediaDisclosureStyleForIndex:(unsigned int)arg1;
- (id)cellConfigurationForIndex:(unsigned int)arg1 artworkLoadingCompletionHandler:(id)arg2;
- (BOOL)hasPlayableItems;
- (id)queries;
- (void)_mediaLibraryDidChangeNotification:(id)arg1;
- (unsigned int)count;
- (id)init;
- (void)dealloc;
- (void)setMediaLibrary:(id)arg1;
- (id)mediaLibrary;

@end
